//Header file for Mario 3 Improvement - Contains locations of SMB3 levels in
//the Super Mario Allstars ROM.  Used by the level loading and saving
//routines to determine where objects and levels are.
//Version: 0.95
//Date: July 21, 2000
//Thanks to MarioExpert for finding the offsets!
 
#ifndef _ALLSTARS_H
#define _ALLSTARS_H
 
#include "m3idefs.h"
 
#define MAX_LEVEL_SECTIONS (65)
 
 

 

const MAX64K WORLD_INDEXES[9] = {9, 33, 56, 94, 124, 162, 198, 246, 281};
 
 
/*const Mario3Level allstars_array[1] = {
{1, 1, 1, 0x12213B, 1, 1, {0}, {0}, 0x13ECD8, 0, 0, 0x1, "1"}
};*/
 
#define NUM_ALLSTARS_LEVELS 281
 
const Mario3Level allstars_array[NUM_ALLSTARS_LEVELS] = {
//****************************************************************************************//
//                                     World Maps                                         //
//****************************************************************************************//
{0, 1, 0x156468, 0, 0x10}, //World 1 Map
{0, 2, 0x1564F9, 0, 0x10}, //World 2 Map
{0, 3, 0x15661A, 0, 0x10}, //World 3 Map
{0, 4, 0x1567CB, 0, 0x10}, //World 4 Map
{0, 5, 0x1568EC, 0, 0x10}, //World 5 Map
{0, 6, 0x156A0D, 0, 0x10}, //World 6 Map
{0, 7, 0x156BBE, 0, 0x10}, //World 7 Map
{0, 8, 0x156CDF, 0, 0x10}, //World 8 Map
{0, 9, 0x156F20, 0, 0x10}, //Warp Zone
//****************************************************************************************//
//          World 1                                                                       //
//****************************************************************************************//
{1, 1, 0x12212E, 0x13ECD7, 0x1},  //World 1-1
{1, 2, 0x123C90, 0x13EE5A, 0x3},  //World 1-2
{1, 3, 0x121498, 0x13EA9E, 0x1},  //World 1-3
{1, 4, 0x127886, 0x13F3E3, 0x4},  //World 1-4
{1, 5, 0x124BD3, 0x13F0BD, 0xE},  //World 1-5
{1, 6, 0x127777, 0x13F3BD, 0x4},  //World 1-6
{1, 7, 0x130FD4, 0x13FAD8, 0x2},  //World 1-Dungeon
{1, 8, 0x12769E, 0x13F395, 0xC},  //World 1-Secret
{1, 9, 0x133C4F, 0x13FE97, 0xA},  //World 1-Ship
{1, 10, 0x12222E, 0x13E7B6, 0x1}, //World 1-1 Bonus Area
{1, 11, 0x121FBA, 0x13E7B6, 0x1}, //World 1-2 Bonus Area
{1, 12, 0x12C0DB, 0x13F782, 0xD}, //World 1-3 Bonus Area
{1, 13, 0x122400, 0x13ED34, 0x1}, //World 1-4 Ending
{1, 14, 0x12C3F8, 0x13F7DC, 0xD}, //World 1-5 Bonus
{1, 15, 0x122329, 0x13ED10, 0x1}, //World 1-5 Ending
{1, 16, 0x131099, 0x13FB01, 0x2}, //World 1-Dungeon Spike Room
{1, 17, 0x127752, 0x13F3B8, 0xC}, //World 1-Secret Ending
{1, 18, 0x1348D2, 0x14017E, 0xA}, //World 1-Ship Boss Room
{1, 19, 0x124136, 0x13EEDB, 0x3}, //World 1-Hammer Bros 1
{1, 20, 0x124154, 0x13EEDB, 0x3}, //World 1-Hammer Bros 2
{1, 21, 0x130EA3, 0x13FA5F, 0x2}, //World 1-End Castle
{1, 22, 0x133A9C, 0x13FE4C, 0xA}, //World 1-Anchors Away
{1, 23, 0x1349B3, 0x14019C, 0xA}, //World 1-Coin Ship
{1, 24, 0x134A5D, 0x1401A7, 0xA}, //World 1-Coin Ship Boss Room
//****************************************************************************************//
//       World 2                                                                          //
//****************************************************************************************//
{2, 1, 0x12E775, 0x13F939, 0x9},  //World 2-1
{2, 2, 0x12462D, 0x13F045, 0x3},  //World 2-2
{2, 3, 0x12EB20, 0x13F9A0, 0x9},  //World 2-3
{2, 4, 0x12EE5C, 0x13FA0F, 0x9},  //World 2-4
{2, 5, 0x12E970, 0x13F971, 0x9},  //World 2-5
{2, 6, 0x12EC96, 0x13F9D2, 0x9},  //World 2-Dungeon
{2, 7, 0x12436C, 0x13EFF3, 0x3},  //World 2-Quicksand
{2, 8, 0x1231CA, 0x13ED6C, 0x3},  //World 2-Pyramid
{2, 9, 0x133D47, 0x13FEC6, 0xA},  //World 2-Ship
{2, 10, 0x12E8CA, 0x13E7B6, 0x9}, //World 2-1 Bonus Area
{2, 11, 0x12F0AA, 0x13FA55, 0x9}, //World 2-2 Ending
{2, 12, 0x12F0BE, 0x13FA5A, 0x9}, //World 2-3 Ending
{2, 13, 0x12EA8A, 0x13E7B6, 0x9}, //World 2-5 Bonus Area
{2, 14, 0x12EDDC, 0x13FA04, 0x9}, //World 2-Dungeon Spike Room
{2, 15, 0x12E25A, 0x13F8A7, 0x9}, //World 2-Pyramid Outside Area
{2, 16, 0x1348EF, 0x140183, 0xA}, //World 2-Ship Boss Room
{2, 17, 0x1239A7, 0x13E7B2, 0x3}, //World 2-Hidden Hammer Bros
{2, 18, 0x12E51C, 0x13F8FD, 0x9}, //World 2-Hammer Bros 1
{2, 19, 0x12E51C, 0x13F8F2, 0x9}, //World 2-Hammer Bros 2
{2, 20, 0x124F00, 0x13E8F3, 0xE}, //World 2-Pipe 1 End 1
{2, 21, 0x124F5B, 0x13E8F3, 0xE}, //World 2-Pipe 1 End 2
{2, 22, 0x130E3F, 0x13FA5F, 0x2}, //World 2-End Castle
{2, 23, 0x133A9C, 0x13FE4C, 0xA}, //World 2-Anchors Away
//****************************************************************************************//
//       World 3                                                                          //
//****************************************************************************************//
{3, 1, 0x129989, 0x13F5D5, 0x6},  //World 3-1
{3, 2, 0x126CA8, 0x13F1D3, 0x4},  //World 3-2
{3, 3, 0x122422, 0x13ED3E, 0x1},  //World 3-3
{3, 4, 0x125BAE, 0x13F16E, 0xE},  //World 3-4
{3, 5, 0x1296C8, 0x13F59B, 0x6},  //World 3-5
{3, 6, 0x126DF8, 0x13F213, 0x4},  //World 3-6
{3, 7, 0x121EB8, 0x13EC1E, 0x1},  //World 3-7
{3, 8, 0x124DCA, 0x13F104, 0xE},  //World 3-8
{3, 9, 0x121762, 0x13EB3F, 0x1},  //World 3-9
{3, 10, 0x1311F3, 0x13FB43, 0x2}, //World 3-Dungeon #1
{3, 11, 0x1310E9, 0x13FB12, 0x2}, //World 3-Dungeon #2
{3, 12, 0x133EA9, 0x13FEFE, 0xA}, //World 3-Ship
{3, 13, 0x121F9F, 0x13EC5F, 0x1}, //World 3-1 Ending
{3, 14, 0x126D85, 0x13F208, 0x4}, //World 3-2 Ending
{3, 15, 0x122527, 0x13ED67, 0x1}, //World 3-3 Ending
{3, 16, 0x1254A6, 0x13F12D, 0xE}, //World 3-5 Bonus Area **** UHB POINTER 10F15C
{3, 17, 0x12157B, 0x13EACD, 0x1}, //World 3-5 Ending
{3, 18, 0x126EC1, 0x13F236, 0x4}, //World 3-6 Ending
{3, 19, 0x12B99D, 0x13F639, 0xD}, //World 3-7 Bonus Area
{3, 20, 0x1222F6, 0x13ED0B, 0x1}, //World 3-8 Ending
{3, 21, 0x1B2A4, 0xC994, 0xE}, //World 3-9 Bonus Area ****UNKNOWN****
{3, 22, 0x121934, 0x13EB83, 0x1}, //World 3-9 Ending
{3, 23, 0x1312B5, 0x13FB75, 0x2}, //World 3-Dungeon #1 Water Room
{3, 24, 0x13117C, 0x13FB2F, 0x2}, //World 3-Dungeon #2 Water Room
{3, 25, 0x134915, 0x140188, 0xA}, //World 3-Ship Boss Room
{3, 26, 0x1219EE, 0x13EDF0, 0x1}, //World 3-Hammer Bros Land
{3, 27, 0x122399, 0x13EDF0, 0x1}, //World 3-Hammer Bros Water
{3, 28, 0x1223BA, 0x13EDF0, 0x1}, //World 3-Hammer Bros 3 Water +
{3, 29, 0x122399, 0x13EDF0, 0x1}, //World 3-Hammer Bros 4 Land +
{3, 30, 0x124136, 0x13EEDB, 0x3}, //World 3-Hidden Hammer Bros

{3, 32, 0x1AF9A, 0xC159, 0xE}, //World 3-Pipe 1 End 1 ****UNKNOWN**** 125090
{3, 31, 0x1AFF8, 0xC159, 0xE}, //World 3-Pipe 1 End 2 ****UNKNOWN****
{3, 33, 0x1AE50, 0xC15E, 0xE}, //World 3-Pipe 2 End 1 ****UNKNOWN****
{3, 34, 0x1AEAD, 0xC15E, 0xE}, //World 3-Pipe 2 End 2 ****UNKNOWN****
{3, 35, 0x1AF0A, 0xC163, 0xE}, //World 3-Pipe 3 End 1 ****UNKNOWN****
{3, 36, 0x1AF52, 0xC163, 0xE}, //World 3-Pipe 3 End 2 ****UNKNOWN****
{3, 36, 0x2A810, 0xD2C0, 0x2}, //World 3-End Castle ****UNKNOWN****
{3, 36, 0x2EC29, 0xD6AD, 0xA}, //World 3-Anchors Away ****UNKNOWN****
//****************************************************************************************//
//       World 4                                                                          //
//****************************************************************************************//
{4, 1, 0x12B9C7, 0x13F647, 0xB},  //World 4-1
{4, 2, 0x12BD3A, 0x13F6C4, 0xB},  //World 4-2
{4, 3, 0x124438, 0x13F013, 0x3},  //World 4-3
{4, 4, 0x12BEFA, 0x13F769, 0xB},  //World 4-4
{4, 5, 0x12C2B5, 0x13F79C, 0xB},  //World 4-5
{4, 6, 0x1211E9, 0x13EA07, 0x1},  //World 4-6
{4, 7, 0x131CD2, 0x13FCD8, 0x2},  //World 4-Dungeon #1
{4, 8, 0x131BF8, 0x13FCB8, 0x2},  //World 4-Dungeon #2
{4, 9, 0x133FDE, 0x13FF3C, 0xA},  //World 4-Ship
{4, 10, 0x12C4A0, 0x13F7E1, 0xB}, //World 4-1 Bonus Area
{4, 11, 0x12237B, 0x13ED10, 0x1}, //World 4-1 Ending
{4, 12, 0x12237B, 0x13ED10, 0x1}, //World 4-2 Ending
{4, 13, 0x12BCE7, 0x13F6BC, 0xB}, //World 4-3 Beginning
{4, 14, 0x12237B, 0x13ED10, 0x1}, //World 4-3 Ending
{4, 15, 0x12202B, 0x13E7B6, 0x1}, //World 4-4 Bonus Area
{4, 16, 0x12237B, 0x13ED10, 0x1}, //World 4-4 Ending
{4, 17, 0x1215AF, 0x13EAD5, 0x1}, //World 4-5 Bonus Area
{4, 18, 0x12237B, 0x13ED10, 0x1}, //World 4-5 Ending
{4, 19, 0x120FE4, 0x13E98A, 0x1}, //World 4-6 Small Side
{4, 20, 0x125330, 0x13F118, 0xE}, //World 4-Dungeon #1 Underground Room
{4, 21, 0x1298F4, 0x13F5C7, 0x8}, //World 4-Dungeon #2 Pipe Room
{4, 22, 0x125330, 0x13F118, 0xE}, //World 4-Dungeon #2 Bonus Area
{4, 23, 0x133AF3, 0x13FE51, 0xA}, //World 4-Ship Boss Room
{4, 24, 0x12CA23, 0x13F89A, 0xB}, //World 4-Hammer Bros 1
{4, 25, 0x1ADB2, 0xC168, 0xE}, //World 4-Pipe 1 End 1 ***********UNKNOWN**************
{4, 26, 0x1AE01, 0xC168, 0xE}, //World 4-Pipe 1 End 2 ***********UNKNOWN**************
{4, 27, 0x1AF9A, 0xC16D, 0xE}, //World 4-Pipe 2 End 1 ***********UNKNOWN**************
{4, 28, 0x1AFF8, 0xC16D, 0xE}, //World 4-Pipe 2 End 2 ***********UNKNOWN**************
{4, 30, 0x2A820, 0xD2C0, 0x2}, //World 4-End Castle   *******UNKNOWN**************
{4, 31, 0x1342D1, 0xD6AD, 0xA}, //World 4-Anchors Away
//***************************************************************************************//
//       World 5                                                                          //
//****************************************************************************************//
{5, 1, 0x121A49, 0x13EB92, 0x1},  //World 5-1
{5, 2, 0x124771, 0x13F06E, 0xE},  //World 5-2
{5, 3, 0x1212FC, 0x13EA4E, 0x1},  //World 5-3
{5, 4, 0x12C564, 0x13F7E9, 0xD},  //World 5-4
{5, 5, 0x12735F, 0x13F2BA, 0x4},  //World 5-5
{5, 6, 0x12BE18, 0x13F6F0, 0xD},  //World 5-6
{5, 7, 0x12BC0E, 0x13F68D, 0xD},  //World 5-7
{5, 8, 0x12B932, 0x13F620, 0xD},  //World 5-8
{5, 9, 0x12BEDD, 0x13F72B, 0xD},  //World 5-9
{5, 10, 0x131397, 0x13FB80, 0x2}, //World 5-Dungeon #1
{5, 11, 0x131AB4, 0x13FC9C, 0x2}, //World 5-Tower (Part 1)
{5, 12, 0x131B58, 0x13FCB0, 0x2}, //World 5-Tower (Part 2)
{5, 13, 0x130F21, 0x13FA69, 0x2}, //World 5-Dungeon #2
{5, 14, 0x133B2B, 0x13FE56, 0xA}, //World 5-Ship
{5, 15, 0x121BF2, 0x13EBC4, 0x1}, //World 5-1 Bonus Area
{5, 16, 0x129B04, 0x13F5FB, 0x8}, //World 5-2 Pipe Room
{5, 17, 0x1B3F1, 0xC9A1, 0xE}, //World 5-2 Bonus Area ****UNKNOWN****
{5, 18, 0x122329, 0x13ED10, 0x1}, //World 5-2 Ending
{5, 19, 0x1212D9, 0x13E7B6, 0x1}, //World 5-3 Beginning
{5, 20, 0x122329, 0x13ED10, 0x1}, //World 5-3 Ending
{5, 21, 0x12B982, 0x13F631, 0xD}, //World 5-4 Ending
{5, 22, 0x1B3F1, 0xC9A4, 0xE}, //World 5-5 Bonus Area ****UNKNOWN****
{5, 23, 0x12B982, 0x13F631, 0xD}, //World 5-6 Ending
{5, 24, 0x120C76, 0x13E916, 0x1}, //World 5-7 Bonus Area
{5, 25, 0x12B982, 0x13F631, 0xD}, //World 5-8 Ending
{5, 26, 0x12B982, 0x13F631, 0xD}, //World 5-9 Ending
{5, 27, 0x131518, 0x13FBAC, 0x2}, //World 5-Dungeon #1 Bonus Area
{5, 28, 0x131AB4, 0x13FC9C, 0xD}, //World 5-Tower Outside Area (Part 1)
{5, 29, 0x131B58, 0x13FCB0, 0xD}, //World 5-Tower Outside Area (Part 2)
{5, 30, 0x12C183, 0x13F787, 0xD}, //World 5-Tower (Going Down)
{5, 31, 0x130ECB, 0x13FA64, 0x2}, //World 5-Dungeon #2 Beginning/End
{5, 32, 0x13493B, 0x14018D, 0xA}, //World 5-Ship Boss Room
{5, 33, 0x20CCE, 0xC651, 0x3}, //World 5-Hammer Bros 1 ****UNKNOWN****
{5, 34, 0x2143B, 0xC651, 0x3}, //World 5-Hammer Bros 2 ****UNKNOWN****
{5, 35, 0x27FCC, 0xC651, 0xD}, //World 5-Hammer Bros 3 ****UNKNOWN****
{5, 36, 0x279A4, 0xC651, 0xD}, //World 5-Hammer Bros 4 ****UNKNOWN****
{5, 37, 0x2A830, 0xD2C0, 0x2}, //World 5-End Castle ****UNKNOWN****
{5, 38, 0x2F457, 0xD6AD, 0xA}, //World 5-Anchors Away ****UNKNOWN****
//****************************************************************************************//
//       World 6                                                                          //
//****************************************************************************************//
{6, 1, 0x127634, 0x13F372, 0xC},  //World 6-1
{6, 2, 0x12754C, 0x13F302, 0xC},  //World 6-2
{6, 3, 0x126EF3, 0x13F23E, 0xC},  //World 6-3
{6, 4, 0x127951, 0x13F41B, 0xC},  //World 6-4
{6, 5, 0x123466, 0x13ED9B, 0x3},  //World 6-5
{6, 6, 0x1239DE, 0x13EDF8, 0x3},  //World 6-6
{6, 7, 0x127D88, 0x13F4C7, 0xC},  //World 6-7
{6, 8, 0x125D5E, 0x13F195, 0xE},  //World 6-8
{6, 9, 0x12369A, 0x13EDBE, 0x3},  //World 6-9
{6, 10, 0x127C60, 0x13F498, 0xC}, //World 6-10
{6, 11, 0x2B16A, 0x13FC60, 0x2}, //World 6-Dungeon #1
{6, 12, 0x126FE5, 0x13F25B, 0xC}, //World 6-Dungeon #2
{6, 13, 0x1316B1, 0x13FC20, 0x2}, //World 6-Dungeon #3
{6, 14, 0x13145B, 0x13FF86, 0xA}, //World 6-Ship
{6, 15, 0x128112, 0x13E7B6, 0xC}, //World 6-1 Bonus Area
{6, 16, 0x12769E, 0x13F395, 0xC}, //World 6-2 Ending
{6, 17, 0x1B489, 0xC9AC, 0xE}, //World 6-3 Bonus Area ****UNKNOWN****
{6, 18, 0x12C3CB, 0x13F7D7, 0xD}, //World 6-4 Bonus Area
{6, 19, 0x12714B, 0x13F283, 0xC}, //World 6-5 Outside Area
{6, 20, 0x127C09, 0x13F490, 0xC}, //World 6-6 Outside Area
{6, 21, 0x127F25, 0x13F4D5, 0xC}, //World 6-7 Ending
{6, 22, 0x127F61, 0x13F4DD, 0xC}, //World 6-9 Outside Area
{6, 23, 0x1B489, 0xC9A9, 0xE}, //World 6-9 Bonus Area ****UNKNOWN****
{6, 24, 0x1B489, 0xC9AF, 0xE}, //World 6-10 Bonus Area ****UNKNOWN****
{6, 25, 0x131852, 0x13FC83, 0x2}, //World 6-Dungeon #1 Spike Room
{6, 26, 0x1270F5, 0x13F27E, 0xC}, //World 6-Dungeon #2 Boss Room
{6, 27, 0x131788, 0x13FC52, 0x2}, //World 6-Dungeon #3 Falling Room
{6, 28, 0x13495B, 0x140192, 0xA}, //World 6-Ship Boss Room
{6, 29, 0x23F29, 0xC651, 0xC}, //World 6-Hammer Bros 1 ****UNKNOWN****
{6, 30, 0x23F97, 0xC651, 0xC}, //World 6-Hammer Bros 2 ****UNKNOWN****
{6, 31, 0x1ADB2, 0xC14A, 0xE}, //World 6-Pipe 1 End 1 ****UNKNOWN****
{6, 32, 0x1AE01, 0xC14A, 0xE}, //World 6-Pipe 1 End 2 ****UNKNOWN****
{6, 33, 0x1B056, 0xC14F, 0xE}, //World 6-Pipe 2 End 1 ****UNKNOWN****
{6, 34, 0x1B092, 0xC14F, 0xE}, //World 6-Pipe 2 End 2 ****UNKNOWN****
{6, 35, 0x2A840, 0xD2C0, 0x2}, //World 6-End Castle ****UNKNOWN****
{6, 36, 0x2F470, 0xD6AD, 0xA}, //World 6-Anchors Away ****UNKNOWN****
//****************************************************************************************//
//       World 7                                                                          //
//****************************************************************************************//
{7, 1, 0x1291F0, 0x13F543, 0x8},  //World 7-1
{7, 2, 0x12E327, 0x13F8B4, 0x9},  //World 7-2
{7, 3, 0x123FD7, 0x13EEA3, 0x3},  //World 7-3
{7, 4, 0x12942A, 0x13F572, 0x6},  //World 7-4
{7, 5, 0x120D39, 0x13E921, 0x1},  //World 7-5
{7, 6, 0x129C87, 0x13F606, 0x8},  //World 7-6
{7, 7, 0x127FA6, 0x13F4E5, 0x4},  //World 7-7
{7, 8, 0x121610, 0x13EADD, 0x1},  //World 7-8
{7, 9, 0x12E569, 0x13F90A, 0x9},  //World 7-9
{7, 10, 0x12C6CC, 0x13F82C, 0x5}, //World 7-Piranha Plat #1
{7, 11, 0x1318DF, 0x13FC94, 0x2}, //World 7-Dungeon #1
{7, 12, 0x13157A, 0x13FBCB, 0x2}, //World 7-Dungeon #2
{7, 13, 0x12C5BF, 0x13F818, 0x5}, //World 7-Piranha Plant #2
{7, 14, 0x134345, 0x13FFB2, 0xA}, //World 7-Ship
{7, 15, 0x121175, 0x13E9FD, 0x1}, //World 7-1 Outside Area
{7, 16, 0x121F9F, 0x13EC5F, 0x1}, //World 7-2 Ending
{7, 17, 0x121997, 0x13EB8D, 0x1}, //World 7-4 Outside Area
{7, 18, 0x1222BA, 0x13ED06, 0x1}, //World 7-5 Outside Area
{7, 19, 0x121952, 0x13EB88, 0x1}, //World 7-6 Outside Area
{8, 21, 0x1211B4, 0x13EA02, 0x1}, //World 7-7 Beginning/End
{7, 21, 0x12CA3A, 0x13F8A2, 0xD}, //World 7-8 Bonus Area #1
{7, 22, 0x1B5FE, 0xC9B4, 0xE}, //World 7-8 Bonus Area #2 ****UNKNOWN****
{7, 23, 0x12E313, 0x13F8AF, 0x9}, //World 7-9 Ending
{7, 24, 0x12C994, 0x13F892, 0x5}, //World 7-Piranha Plant #1 Ending
{7, 25, 0x131A1D, 0x13E7B6, 0x2}, //World 7-Dungeon #1 Lonely Room
{7, 26, 0x1B5FE, 0xC9B7, 0xE}, //World 7-Dungeon #1 Bonus Area ****UNKNOWN****
{7, 27, 0x131656, 0x13FC0C, 0x2}, //World 7-Dungeon #2 Boss Room
{7, 28, 0x12C905, 0x13F88A, 0x5}, //World 7-Piranha Plant #2 Ending
{7, 29, 0x134984, 0x140188, 0xA}, //World 7-Ship Boss Room
{7, 30, 0x121A28, 0x13EDF0, 0x1}, //World 7-Hammer Bros 1
{7, 31, 0x1ADB2, 0xC127, 0xE}, //World 7-Pipe 1 End 1 ****UNKNOWN****
{7, 32, 0x1AE01, 0xC127, 0xE}, //World 7-Pipe 1 End 2 ****UNKNOWN****
{7, 33, 0x1B056, 0xC136, 0xE}, //World 7-Pipe 2 End 1 ****UNKNOWN****
{7, 34, 0x1B092, 0xC136, 0xE}, //World 7-Pipe 2 End 2 ****UNKNOWN****
{7, 35, 0x1AF0A, 0xC12C, 0xE}, //World 7-Pipe 3 End 1 ****UNKNOWN****
{7, 36, 0x1AF52, 0xC12C, 0xE}, //World 7-Pipe 3 End 2 ****UNKNOWN****
{7, 37, 0x1AE50, 0xC131, 0xE}, //World 7-Pipe 4 End 1 ****UNKNOWN****
{7, 38, 0x1AEAD, 0xC131, 0xE}, //World 7-Pipe 4 End 2 ****UNKNOWN****
{7, 39, 0x1AE50, 0xC122, 0xE}, //World 7-Pipe 5 End 1 ****UNKNOWN****
{7, 40, 0x1AEAD, 0xC122, 0xE}, //World 7-Pipe 5 End 2 ****UNKNOWN****
{7, 41, 0x1AE50, 0xC144, 0xE}, //World 7-Pipe 6 End 1 ****UNKNOWN****
{7, 42, 0x1AEAD, 0xC144, 0xE}, //World 7-Pipe 6 End 2 ****UNKNOWN****
{7, 43, 0x1AF9A, 0xC13B, 0xE}, //World 7-Pipe 7 End 1 ****UNKNOWN****
{7, 44, 0x1AFF8, 0xC13B, 0xE}, //World 7-Pipe 7 End 2 ****UNKNOWN****
{7, 45, 0x1ADB2, 0xC140, 0xE}, //World 7-Pipe 8 End 1 ****UNKNOWN****
{7, 46, 0x1AE01, 0xC140, 0xE}, //World 7-Pipe 8 End 2 ****UNKNOWN****
{7, 47, 0x2A860, 0xD2C0, 0x2}, //World 7-End Castle ****UNKNOWN****
{7, 48, 0x2F489, 0xD6AD, 0xA}, //World 7-Anchors Away ****UNKNOWN****
//****************************************************************************************//
//                   World 8                                                              //
//****************************************************************************************//
{8, 1, 0x121DA3, 0x13EBD4, 0x1},  //World 8-1
{8, 2, 0x1249DD, 0x13F0AF, 0xE},  //World 8-2
{8, 3, 0x13479F, 0x140107, 0xA},  //World 8-Tank #1
{8, 4, 0x134575, 0x140064, 0xA},  //World 8-Battleship
{8, 5, 0x12C7F1, 0x13F860, 0xB},  //World 8-Hand Trap #1
{8, 6, 0x12C994, 0x13F892, 0xB},  //World 8-Hand Trap #2
{8, 7, 0x12C844, 0x13F871, 0xB},  //World 8-Hand Trap #3
{8, 8, 0x1344D7, 0x140002, 0xA},  //World 8-Crappy Ship
{8, 9, 0x131EA8, 0x13FD01, 0x2},  //World 8-Dungeon
{8, 10, 0x1346A6, 0x1400B4, 0xA}, //World 8-Tank #2
{8, 11, 0x132251, 0x13FD7D, 0x2}, //World 8-Bowsers Castle
{8, 12, 0x1B674, 0xC9BF, 0xE}, //World 8-1 Bonus Area ****UNKNOWN****
{8, 13, 0x121C63, 0x13E7B6, 0x1}, //World 8-2 Bonus Area
{8, 14, 0x134B2B, 0x1401C1, 0xA}, //World 8-Tank #1 Boss Room
{8, 15, 0x13E7B6, 0x1401B7, 0xA}, //World 8-Battleship Boss Room
{8, 16, 0x12C8D0, 0x13F87F, 0xB}, //World 8-Hand Trap #1 Ending
{8, 17, 0x12C8D0, 0x13F87F, 0xB}, //World 8-Hand Trap #2 Ending
{8, 18, 0x12C8D0, 0x13F87F, 0xB}, //World 8-Hand Trap #3 Ending
{8, 19, 0x134AF6, 0x1401BC, 0xA}, //World 8-Crappy Ship Boss Room
{8, 20, 0x1320D2, 0x13FD39, 0x2}, //World 8-Dungeon (White Side)
{8, 21, 0x134A8C, 0x1401B2, 0xA}, //World 8-Tank #2 Boss Room
{8, 21, 0x1211B4, 0x13EA02, 0x1}, //World 8-Hidden Level 
//World 8-Hidden Level ??? NOT CORRECT WORL 7-7 BEGINING/END
{8, 21, 0x1B0CE, 0xC104, 0xE}, //World 8-Pipe 1 End 1 ****UNKNOWN****
{8, 21, 0x1B110, 0xC104, 0xE}, //World 8-Pipe 1 End 2 ****UNKNOWN****
{8, 21, 0x1B0CE, 0xC113, 0xE}, //World 8-Pipe 2 End 1 ****UNKNOWN****
{8, 21, 0x1B110, 0xC113, 0xE}, //World 8-Pipe 2 End 2 ****UNKNOWN****
{8, 21, 0x1B0CE, 0xC118, 0xE}, //World 8-Pipe 3 End 1 ****UNKNOWN****
{8, 21, 0x1B110, 0xC118, 0xE}, //World 8-Pipe 3 End 2 ****UNKNOWN****
{8, 21, 0x1B0CE, 0xC109, 0xE}, //World 8-Pipe 4 End 1 ****UNKNOWN****
{8, 21, 0x1B110, 0xC109, 0xE}, //World 8-Pipe 4 End 2 ****UNKNOWN****
{8, 21, 0x1ADB2, 0xC11C, 0xE}, //World 8-Pipe 5 End 1 ****UNKNOWN****
{8, 21, 0x1AE01, 0xC11C, 0xE}, //World 8-Pipe 5 End 2 ****UNKNOWN****
{8, 21, 0x1B0CE, 0xC10E, 0xE}, //World 8-Pipe 6 End 1 ****UNKNOWN****
{8, 21, 0x1B110, 0xC10E, 0xE}, //World 8-Pipe 6 End 2 ****UNKNOWN****
{8, 22, 0x132451, 0x13FDBB, 0x2}  //World 8-Bowser's Castle (Bowser's Lair)
//****************************************************************************************//
//           The End!                                                                     //
//****************************************************************************************//
};
 

 

 
#endif
 