//Header file for Mario 3 Improvement - Contains basic program definitions.
//Version: 0.1
//Date: March 30, 1999 
//Copyright (C) 1999 by LincolnSoft(TM).  All rights reserved.
	
	
	
#ifndef _M3IDEFS_H	
#define _M3IDEFS_H

typedef char			STRING;    	
typedef unsigned char		MAX255;
typedef long			MAX2GIG;
typedef unsigned long		MAX4GIG;
typedef short 			MAX32K;
typedef unsigned short int	MAX64K;

#define THREE_BYTE	(0)
#define FOUR_BYTE       (1)

char *obj_sets[11] = {"Map Screen", "Plains Level", "Hilly/Underground Level",
                     "Sky Level", "Dungeon", "Airship", "Cloudy Level",
                     "Desert Level", "Water/Pipe Level", "Giant Level", "Ice Level"};
char *mushroom_houses[27] = {"P-Wing Only", "Warp Whistle Only",
                             "P-Wing Only", "Frog Suit Only",
                             "Tanooki Suit Only", "Hammer Suit Only",
                             "Frog, Tanooki, Hammer Suit", "Mushroom, Leaf, Flower",
                             "Leaf, Flower, Frog Suit", "Leaf, Flower, Tanooki Suit",
                             "Anchor Only",
                             "Warp Whistle, P-Wing, Frog Suit", "Frog Suit, P-Wing, Tanooki Suit", "Frog, Tanooki, Hammer Suit",
                             "Warp Whistle, P-Wing, Frog Suit", "Frog Suit, P-Wing, Tanooki Suit", "Frog, Tanooki, Hammer Suit",
                             "Warp Whistle, P-Wing, Frog Suit", "Frog Suit, P-Wing, Tanooki Suit", "Frog, Tanooki, Hammer Suit",
                             "Warp Whistle, P-Wing, Frog Suit", "Frog Suit, P-Wing, Tanooki Suit", "Frog, Tanooki, Hammer Suit",
                             "Warp Whistle, P-Wing, Frog Suit", "Frog Suit, P-Wing, Tanooki Suit", "Frog, Tanooki, Hammer Suit",
                             "Warp Whistle, P-Wing, Frog Suit"};


typedef struct {
	MAX255 obj_domain;		//object type of object
	MAX255 min_value;			//minimum possible value of object
	MAX255 max_value;			//maximum possible value of object
	MAX255 bmp_width;			//width of multi-bitmap objects	
	MAX255 bmp_height;		//height of multi-bitmap objects
	MAX255 obj_design[70];		//which 16x16 bitmaps this object uses - if it uses just
						//one it will be one in size
	MAX255 orientation;		//how this object extends with byte value increase
	MAX255 ends;			//how many "ends" this object has when it extends 
						//(0 = every block is the same, 1=has one end on the top or 
						//left, 2=has one end on the bottom or right, 3=has two 
						//ends
	MAX255 obj_flag;			//1 = 4 bytes, 0= 3 bytes			
	STRING obj_descript[80];	//used to display the name of the object	
} ObjectDef;	
	
typedef struct {
MAX255 enemy;
MAX255 horiz;
MAX255 vert;
} SMB3_ENEMY;

typedef struct {
MAX32K byte1;
MAX32K byte2;
MAX32K byte3;
MAX32K byte4;
} SMB3_OBJECT;
		 		
//definitions for orientation of objects
#define HORIZ	  (0)  	//horizontally, to the right
#define VERTICAL	  (1)		//vertically, downward	
#define DIAG_DL     (2)	 	//diagonally, down and to the left
#define PIPEBOX 	  (3)		//special orientation for the desert pipe boxes because they're so big
#define DIAG_DR 	  (4)		//diagonally, down and to the right
#define DIAG_UR 	  (5)		//diagonally, up and to the right
#define GD_EXT	  (6)		//same as HORIZONTAL but also extends 
					//vertically to the ground
#define HORIZ_2 (7)      //same as HORIZ but for objects that display a bit differently
#define DIAG_CRNR (8)     //weird way of displaying diagonal objects that appears nowhere else
#define DUMMY	  (9)		//dummy value for single-value objects (0x00 to 0x0F)
#define CENTER    (10)        //used for some sprites such as spinning platforms that are centered

#endif 	
	  	