//Header file for Mario 3 Improvement - Contains object definitions.
//Used to determine how objects work when editing levels.
//Version:  0.95
//Date: July 22, 1999
//Copyright (C) 1999-2000 by LincolnSoft(TM).  All rights reserved.

#ifndef _OBJECTS_H
#define _OBJECTS_H

#include "m3idefs.h"

#define calc_obj_y_pos(byte1) (byte1 % 32)     //calculates the vertical
                                               //position of the object                 
#define calc_obj_domain(byte1) (byte1 / 32)    //calculates the object domain
                                               //from the first byte of any 
                                               //object
#define calc_obj_length(byte2) (byte2 % 16)    //calculates the length of an object
#define calc_obj_type(byte2) (byte2 / 16)      //calculates the object type	
#define obj_x_pixel_location(xpos) (xpos * 16)
#define obj_y_pixel_location(ypos) (ypos * 16)

char *map_sprite_names[17] = {"Nothing?", "Help!", "Ship", "Hammer Bros.",
                          "Boomerang Bros.", "Sledge Bros.", "Fire Bros.",
                          "Piranha Plant", "Weird", "N-card",
                          "White Mushroom House", "Coin Ship", "World 8 Ship #1",
                          "Battleship", "Tank", "World 8 Ship #2", "Boat"};






const ObjectDef plains_level[12][248] = {
//**************************************************************************//
//                           THE MAP SCREENS - SET 0                        //
//**************************************************************************//
{
{0,           0x00,       0x00,   1,         1,        {0},                    DUMMY,      0,   THREE_BYTE,  "White Mario Finished Stage"},
{0,           0x01,       0x01,   1,         1,        {1},                    DUMMY,      0,   THREE_BYTE,  "White Luigi Finished Stage"},
{0,           0x02,       0x02,   1,         1,        {2},                    DUMMY,      0,   THREE_BYTE,  "Black Square"},
{0,           0x03,       0x03,   1,         1,        {3},                    DUMMY,      0,   THREE_BYTE,  "Level 1"},
{0,           0x04,       0x04,   1,         1,        {4},                    DUMMY,      0,   THREE_BYTE,  "Level 2"},
{0,           0x05,       0x05,   1,         1,        {5},                    DUMMY,      0,   THREE_BYTE,  "Level 3"},
{0,           0x06,       0x06,   1,         1,        {6},                    DUMMY,      0,   THREE_BYTE,  "Level 4"},
{0,           0x07,       0x07,   1,         1,        {7},                    DUMMY,      0,   THREE_BYTE,  "Level 5"},
{0,           0x08,       0x08,   1,         1,        {8},                    DUMMY,      0,   THREE_BYTE,  "Level 6"},
{0,           0x09,       0x09,   1,         1,        {9},                    DUMMY,      0,   THREE_BYTE,  "Level 7"},
{0,           0x0A,       0x0A,   1,         1,        {10},                   DUMMY,      0,   THREE_BYTE,  "Level 8"},
{0,           0x0B,       0x0B,   1,         1,        {11},                   DUMMY,      0,   THREE_BYTE,  "Level 9"},
{0,           0x0C,       0x0C,   1,         1,        {12},                   DUMMY,      0,   THREE_BYTE,  "Level 10"},
{0,           0x0D,       0x0D,   1,         1,        {161},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 1"},
{0,           0x0E,       0x0E,   1,         1,        {162},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 2"},
{0,           0x0F,       0x0F,   1,         1,        {163},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 3"},
{0,           0x10,       0x10,   1,         1,        {164},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 4"},
{0,           0x11,       0x11,   1,         1,        {165},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 5"},
{0,           0x12,       0x12,   1,         1,        {166},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 6"},
{0,           0x13,       0x13,   1,         1,        {167},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 7"},
{0,           0x14,       0x14,   1,         1,        {168},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 8"},
{0,           0x15,       0x15,   1,         1,        {169},                  DUMMY,      0,   THREE_BYTE,  "Weird Level 9"},
{0,           0x16,       0x16,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x17,       0x17,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x18,       0x18,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x19,       0x19,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1A,       0x1A,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1B,       0x1B,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1C,       0x1C,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1D,       0x1D,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1E,       0x1E,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x1F,       0x1F,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x20,       0x20,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x21,       0x21,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x22,       0x22,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x23,       0x23,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x24,       0x24,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x25,       0x25,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x26,       0x26,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x27,       0x27,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x28,       0x28,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x29,       0x29,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2A,       0x2A,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2B,       0x2B,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2C,       0x2C,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2D,       0x2D,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2E,       0x2E,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x2F,       0x2F,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x30,       0x30,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x31,       0x31,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x32,       0x32,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x33,       0x33,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x34,       0x34,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x35,       0x35,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x36,       0x36,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x37,       0x37,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x38,       0x38,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x39,       0x39,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3A,       0x3A,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3B,       0x3B,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3C,       0x3C,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3D,       0x3D,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3E,       0x3E,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x3F,       0x3F,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x40,       0x40,   1,         1,        {13},                   DUMMY,      0,   THREE_BYTE,  "Yellow Mario Finished Stage"},
{0,           0x41,       0x41,   1,         1,        {16},                   DUMMY,      0,   THREE_BYTE,  "Yellow Luigi Finished Stage"},
{0,           0x42,       0x42,   1,         1,        {121},                  DUMMY,      0,   THREE_BYTE,  "Barren Ground"},
{0,           0x43,       0x43,   1,         1,        {18},                   DUMMY,      0,   THREE_BYTE,  "Desert Sand"},
{0,           0x44,       0x44,   1,         1,        {19},                   DUMMY,      0,   THREE_BYTE,  "W. Road Connector A"},
{0,           0x45,       0x45,   1,         1,        {20},                   DUMMY,      0,   THREE_BYTE,  "E.-W. Road A"},
{0,           0x46,       0x46,   1,         1,        {21},                   DUMMY,      0,   THREE_BYTE,  "N.-S. Road A"},
{0,           0x47,       0x47,   1,         1,        {22},                   DUMMY,      0,   THREE_BYTE,  "E. Road Connector A"},
{0,           0x48,       0x48,   1,         1,        {23},                   DUMMY,      0,   THREE_BYTE,  "S. Road Connector A"},
{0,           0x49,       0x49,   1,         1,        {24},                   DUMMY,      0,   THREE_BYTE,  "E.-W. Road C"},
{0,           0x4A,       0x4A,   1,         1,        {25},                   DUMMY,      0,   THREE_BYTE,  "S. E. Road Connector A"},
{0,           0x4B,       0x4B,   1,         1,        {26},                   DUMMY,      0,   THREE_BYTE,  "Boat Dock"},
{0,           0x4C,       0x4C,   1,         1,        {170},                  DUMMY,      0,   THREE_BYTE,  "Weird"},
{0,           0x4D,       0x4D,   1,         1,        {170},                  DUMMY,      0,   THREE_BYTE,  "Weird"},
{0,           0x4E,       0x4E,   1,         1,        {27},                   DUMMY,      0,   THREE_BYTE,  "Weird Line"},
{0,           0x4F,       0x4F,   1,         1,        {28},                   DUMMY,      0,   THREE_BYTE,  "Weird Line"},
{0,           0x50,       0x50,   1,         1,        {29},                   DUMMY,      0,   THREE_BYTE,  "Mushroom House A"},
{0,           0x51,       0x51,   1,         1,        {32},                   DUMMY,      0,   THREE_BYTE,  "Rock A"},
{0,           0x52,       0x52,   1,         1,        {33},                   DUMMY,      0,   THREE_BYTE,  "Rock B"},
{0,           0x53,       0x53,   1,         1,        {34},                   DUMMY,      0,   THREE_BYTE,  "Rock C"},
{0,           0x54,       0x54,   1,         1,        {35},                   DUMMY,      0,   THREE_BYTE,  "Locked Door A"},
{0,           0x55,       0x55,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "Star A"},
{0,           0x56,       0x56,   1,         1,        {36},                   DUMMY,      0,   THREE_BYTE,  "Locked Door B"},
{0,           0x57,       0x57,   1,         1,        {30},                   DUMMY,      0,   THREE_BYTE,  "World 5 - SE Road view from clouds A"},
{0,           0x58,       0x58,   1,         1,        {31},                   DUMMY,      0,   THREE_BYTE,  "World 5 - SW Road view from clouds"},
{0,           0x59,       0x59,   1,         1,        {46},                   DUMMY,      0,   THREE_BYTE,  "World 5 - E-W Road view from clouds"},
{0,           0x5A,       0x5A,   1,         1,        {47},                   DUMMY,      0,   THREE_BYTE,  "World 5 - Tower view from clouds"},
{0,           0x5B,       0x5B,   1,         1,        {62},                   DUMMY,      0,   THREE_BYTE,  "World 5 - E-W Road Connector view from clouds"},
{0,           0x5C,       0x5C,   1,         1,        {63},                   DUMMY,      0,   THREE_BYTE,  "World 5 - SE Road view from clouds B"},
{0,           0x5D,       0x5D,   1,         1,        {78},                   DUMMY,      0,   THREE_BYTE,  "World 5 - Hills view from clouds A"},
{0,           0x5E,       0x5E,   1,         1,        {79},                   DUMMY,      0,   THREE_BYTE,  "World 5 - Hills view from clouds B"},
{0,           0x5F,       0x5F,   1,         1,        {14},                   DUMMY,      0,   THREE_BYTE,  "World 5 - Tower"},
{0,           0x60,       0x60,   1,         1,        {15},                   DUMMY,      0,   THREE_BYTE,  "Destroyed Dungeon A"},
{0,           0x61,       0x61,   1,         1,        {94},                   DUMMY,      0,   THREE_BYTE,  "World 8 - Castle Top"},
{0,           0x62,       0x62,   1,         1,        {110},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Castle Columns"},
{0,           0x63,       0x63,   1,         1,        {111},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Clouds A"},
{0,           0x64,       0x64,   1,         1,        {95},                   DUMMY,      0,   THREE_BYTE,  "World 8 - Castle Wall;"},
{0,           0x65,       0x65,   1,         1,        {111},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Clouds B"},
{0,           0x66,       0x66,   1,         1,        {37},                   DUMMY,      0,   THREE_BYTE,  "E. Road Connector C"},
{0,           0x67,       0x67,   1,         1,        {38},                   DUMMY,      0,   THREE_BYTE,  "Dungeon A"},
{0,           0x68,       0x68,   1,         1,        {39},                   DUMMY,      0,   THREE_BYTE,  "Desert Quicksand Level"},
{0,           0x69,       0x69,   1,         1,        {40},                   DUMMY,      0,   THREE_BYTE,  "Desert Pyramid Level"},
{0,           0x6A,       0x6A,   1,         1,        {147},                  DUMMY,      0,   THREE_BYTE,  "Weird"},
{0,           0x6B,       0x6B,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x6C,       0x6C,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x6D,       0x6D,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x6E,       0x6E,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x6F,       0x6F,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x70,       0x70,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x71,       0x71,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x72,       0x72,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x73,       0x73,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x74,       0x74,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x75,       0x75,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x76,       0x76,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x77,       0x77,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x78,       0x78,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x79,       0x79,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7A,       0x7A,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7B,       0x7B,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7C,       0x7C,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7D,       0x7D,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7E,       0x7E,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x7F,       0x7F,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"},
{0,           0x80,       0x80,   1,         1,        {41},                   DUMMY,      0,   THREE_BYTE,  "Green Mario Finished Stage"},
{0,           0x81,       0x81,   1,         1,        {42},                   DUMMY,      0,   THREE_BYTE,  "Green Luigi Finished Stage"},
{0,           0x82,       0x82,   1,         1,        {43},                   DUMMY,      0,   THREE_BYTE,  "Water 1"},
{0,           0x83,       0x83,   1,         1,        {44},                   DUMMY,      0,   THREE_BYTE,  "Water 2"},
{0,           0x84,       0x84,   1,         1,        {45},                   DUMMY,      0,   THREE_BYTE,  "Water 3"},
{0,           0x85,       0x85,   1,         1,        {48},                   DUMMY,      0,   THREE_BYTE,  "Water 4"},
{0,           0x86,       0x86,   1,         1,        {49},                   DUMMY,      0,   THREE_BYTE,  "Water 5"},
{0,           0x87,       0x87,   1,         1,        {50},                   DUMMY,      0,   THREE_BYTE,  "Water 6"},
{0,           0x88,       0x88,   1,         1,        {51},                   DUMMY,      0,   THREE_BYTE,  "Water 7"},
{0,           0x89,       0x89,   1,         1,        {52},                   DUMMY,      0,   THREE_BYTE,  "Water 8"},
{0,           0x8A,       0x8A,   1,         1,        {53},                   DUMMY,      0,   THREE_BYTE,  "Water 9"},
{0,           0x8B,       0x8B,   1,         1,        {54},                   DUMMY,      0,   THREE_BYTE,  "Water 10"},
{0,           0x8C,       0x8C,   1,         1,        {55},                   DUMMY,      0,   THREE_BYTE,  "Water 11"},
{0,           0x8D,       0x8D,   1,         1,        {56},                   DUMMY,      0,   THREE_BYTE,  "Water 12"},
{0,           0x8E,       0x8E,   1,         1,        {57},                   DUMMY,      0,   THREE_BYTE,  "Water 13"},
{0,           0x8F,       0x8F,   1,         1,        {58},                   DUMMY,      0,   THREE_BYTE,  "Water 14"},
{0,           0x90,       0x90,   1,         1,        {59},                   DUMMY,      0,   THREE_BYTE,  "Water 15"},
{0,           0x91,       0x91,   1,         1,        {60},                   DUMMY,      0,   THREE_BYTE,  "Water 16"},
{0,           0x92,       0x92,   1,         1,        {61},                   DUMMY,      0,   THREE_BYTE,  "Water 17"},
{0,           0x93,       0x93,   1,         1,        {64},                   DUMMY,      0,   THREE_BYTE,  "Water 18"},
{0,           0x94,       0x94,   1,         1,        {65},                   DUMMY,      0,   THREE_BYTE,  "Water 19"},
{0,           0x95,       0x95,   1,         1,        {66},                   DUMMY,      0,   THREE_BYTE,  "Water 20"},
{0,           0x96,       0x96,   1,         1,        {67},                   DUMMY,      0,   THREE_BYTE,  "Water 21"},
{0,           0x97,       0x97,   1,         1,        {68},                   DUMMY,      0,   THREE_BYTE,  "Water 22"},
{0,           0x98,       0x98,   1,         1,        {69},                   DUMMY,      0,   THREE_BYTE,  "Water 23"},
{0,           0x99,       0x99,   1,         1,        {70},                   DUMMY,      0,   THREE_BYTE,  "Water 24"},
{0,           0x9A,       0x9A,   1,         1,        {71},                   DUMMY,      0,   THREE_BYTE,  "Water 25"},
{0,           0x9B,       0x9B,   1,         1,        {72},                   DUMMY,      0,   THREE_BYTE,  "Water 26"},
{0,           0x9C,       0x9C,   1,         1,        {73},                   DUMMY,      0,   THREE_BYTE,  "Water 27"},
{0,           0x9D,       0x9D,   1,         1,        {74},                   DUMMY,      0,   THREE_BYTE,  "Water 28"},
{0,           0x9E,       0x9E,   1,         1,        {75},                   DUMMY,      0,   THREE_BYTE,  "Water 29"},
{0,           0x9F,       0x9F,   1,         1,        {76},                   DUMMY,      0,   THREE_BYTE,  "Water 30"},
{0,           0xA0,       0xA0,   1,         1,        {77},                   DUMMY,      0,   THREE_BYTE,  "Water 31"},
{0,           0xA1,       0xA1,   1,         1,        {80},                   DUMMY,      0,   THREE_BYTE,  "Water 32"},
{0,           0xA2,       0xA2,   1,         1,        {81},                   DUMMY,      0,   THREE_BYTE,  "Water 33"},
{0,           0xA3,       0xA3,   1,         1,        {82},                   DUMMY,      0,   THREE_BYTE,  "Water 34"},
{0,           0xA4,       0xA4,   1,         1,        {83},                   DUMMY,      0,   THREE_BYTE,  "Water 35"},
{0,           0xA5,       0xA5,   1,         1,        {84},                   DUMMY,      0,   THREE_BYTE,  "Water 36"},
{0,           0xA6,       0xA6,   1,         1,        {85},                   DUMMY,      0,   THREE_BYTE,  "Water 37"},
{0,           0xA7,       0xA7,   1,         1,        {86},                   DUMMY,      0,   THREE_BYTE,  "Water 38"},
{0,           0xA8,       0xA8,   1,         1,        {87},                   DUMMY,      0,   THREE_BYTE,  "Water 39"},
{0,           0xA9,       0xA9,   1,         1,        {88},                   DUMMY,      0,   THREE_BYTE,  "Water 40"},
{0,           0xAA,       0xAA,   1,         1,        {89},                   DUMMY,      0,   THREE_BYTE,  "N. End of Road over Water"},
{0,           0xAB,       0xAB,   1,         1,        {90},                   DUMMY,      0,   THREE_BYTE,  "S. End of Road over Water"},
{0,           0xAC,       0xAC,   1,         1,        {91},                   DUMMY,      0,   THREE_BYTE,  "E.-W. Road over Water"},
{0,           0xAD,       0xAD,   1,         1,        {92},                   DUMMY,      0,   THREE_BYTE,  "Island"},
{0,           0xAE,       0xAE,   1,         1,        {93},                   DUMMY,      0,   THREE_BYTE,  "E. Road Connector over Water"},
{0,           0xAF,       0xAF,   1,         1,        {96},                   DUMMY,      0,   THREE_BYTE,  "S. E. Road Connector over Water"},
{0,           0xB0,       0xB0,   1,         1,        {97},                   DUMMY,      0,   THREE_BYTE,  "N.-S. Road over Water"},
{0,           0xB1,       0xB1,   1,         1,        {98},                   DUMMY,      0,   THREE_BYTE,  "N.-S. Drawbridge"},
{0,           0xB2,       0xB2,   1,         1,        {99},                   DUMMY,      0,   THREE_BYTE,  "E.-W. Drawbridge"},
{0,           0xB3,       0xB3,   1,         1,        {100},                  DUMMY,      0,   THREE_BYTE,  "Bridge"},
{0,           0xB4,       0xB4,   1,         1,        {101},                  DUMMY,      0,   THREE_BYTE,  "Hills"},
{0,           0xB5,       0xB5,   1,         1,        {102},                  DUMMY,      0,   THREE_BYTE,  "S. Road Connector over Water"},
{0,           0xB6,       0xB6,   1,         1,        {103},                  DUMMY,      0,   THREE_BYTE,  "W. Road Connector over Water"},
{0,           0xB7,       0xB7,   1,         1,        {104},                  DUMMY,      0,   THREE_BYTE,  "W. End of Road over Water"},
{0,           0xB8,       0xB8,   1,         1,        {105},                  DUMMY,      0,   THREE_BYTE,  "E. End of Road over Water"},
{0,           0xB9,       0xB9,   1,         1,        {106},                  DUMMY,      0,   THREE_BYTE,  "Road over N.-S. River"},
{0,           0xBA,       0xBA,   1,         1,        {107},                  DUMMY,      0,   THREE_BYTE,  "Road over E.-W. River"},
{0,           0xBB,       0xBB,   1,         1,        {108},                  DUMMY,      0,   THREE_BYTE,  "Palm Tree"},
{0,           0xBC,       0xBC,   1,         1,        {109},                  DUMMY,      0,   THREE_BYTE,  "Pipe"},
{0,           0xBD,       0xBD,   1,         1,        {112},                  DUMMY,      0,   THREE_BYTE,  "Flower"},
{0,           0xBE,       0xBE,   1,         1,        {113},                  DUMMY,      0,   THREE_BYTE,  "Piranha Plant"},
{0,           0xBF,       0xBF,   1,         1,        {114},                  DUMMY,      0,   THREE_BYTE,  "Pond"},
{0,           0xC0,       0xC0,   1,         1,        {115},                  DUMMY,      0,   THREE_BYTE,  "Red Mario Finished Stage"},
{0,           0xC1,       0xC1,   1,         1,        {116},                  DUMMY,      0,   THREE_BYTE,  "Red Luigi Finished Stage"},
{0,           0xC2,       0xC2,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds A"},
{0,           0xC3,       0xC3,   1,         1,        {149},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds B"},
{0,           0xC4,       0xC4,   1,         1,        {150},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds C"},
{0,           0xC5,       0xC5,   1,         1,        {151},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds D"},
{0,           0xC6,       0xC6,   1,         1,        {152},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds E"},
{0,           0xC7,       0xC7,   1,         1,        {153},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds F"},
{0,           0xC8,       0xC8,   1,         1,        {117},                  DUMMY,      0,   THREE_BYTE,  "Castle Top"},
{0,           0xC9,       0xC9,   1,         1,        {118},                  DUMMY,      0,   THREE_BYTE,  "Castle Bottom"},
{0,           0xCA,       0xCA,   1,         1,        {126},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Top Left of Bowser's Castle"},
{0,           0xCB,       0xCB,   1,         1,        {127},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Top Right of Bowser's Castle"},
{0,           0xCC,       0xCC,   1,         1,        {142},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Bottom Left of Bowser's Castle"},
{0,           0xCD,       0xCD,   1,         1,        {143},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Bottom Right of Bowser's Castle"},
{0,           0xCE,       0xCE,   1,         1,        {154},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds G"},
{0,           0xCF,       0xCF,   1,         1,        {155},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds H"},
{0,           0xD0,       0xD0,   1,         1,        {156},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds I"},
{0,           0xD1,       0xD1,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Fire"},
{0,           0xD2,       0xD2,   1,         1,        {157},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds J"},
{0,           0xD3,       0xD3,   1,         1,        {158},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds K"},
{0,           0xD4,       0xD4,   1,         1,        {159},                  DUMMY,      0,   THREE_BYTE,  "World 5 - Clouds L"},
{0,           0xD5,       0xD5,   1,         1,        {170},                  DUMMY,      0,   THREE_BYTE,  "Weird"},
{0,           0xD6,       0xD6,   1,         1,        {120},                  DUMMY,      0,   THREE_BYTE,  "Red Square"},
{0,           0xD7,       0xD7,   1,         1,        {121},                  DUMMY,      0,   THREE_BYTE,  "Plain Ground"},
{0,           0xD8,       0xD8,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Black Square"},
{0,           0xD9,       0xD9,   1,         1,        {123},                  DUMMY,      0,   THREE_BYTE,  "W. Road Connector B"},
{0,           0xDA,       0xDA,   1,         1,        {124},                  DUMMY,      0,   THREE_BYTE,  "E.-W. Road B"},
{0,           0xDB,       0xDB,   1,         1,        {125},                  DUMMY,      0,   THREE_BYTE,  "N.-S. Road B"},
{0,           0xDC,       0xDC,   1,         1,        {128},                  DUMMY,      0,   THREE_BYTE,  "E. Road Connector B"},
{0,           0xDD,       0xDD,   1,         1,        {129},                  DUMMY,      0,   THREE_BYTE,  "S. Road Connector B"},
{0,           0xDE,       0xDE,   1,         1,        {130},                  DUMMY,      0,   THREE_BYTE,  "S. E. Road Connector B"},
{0,           0xDF,       0xDF,   1,         1,        {14},                   DUMMY,      0,   THREE_BYTE,  "Weird Tower"},
{0,           0xE0,       0xE0,   1,         1,        {131},                  DUMMY,      0,   THREE_BYTE,  "Mushroom House B"},
{0,           0xE1,       0xE1,   1,         1,        {144},                  DUMMY,      0,   THREE_BYTE,  "World 8 - Mushroom"},
{0,           0xE2,       0xE2,   1,         1,        {132},                  DUMMY,      0,   THREE_BYTE,  "Skull"},
{0,           0xE3,       0xE3,   1,         1,        {160},                  DUMMY,      0,   THREE_BYTE,  "Destroyed Dungeon B"},
{0,           0xE4,       0xE4,   1,         1,        {133},                  DUMMY,      0,   THREE_BYTE,  "Locked Door C"},
{0,           0xE5,       0xE5,   1,         1,        {134},                  DUMMY,      0,   THREE_BYTE,  "Start"},
{0,           0xE6,       0xE6,   1,         1,        {135},                  DUMMY,      0,   THREE_BYTE,  "Hand Trap"},
{0,           0xE7,       0xE7,   1,         1,        {136},                  DUMMY,      0,   THREE_BYTE,  "Weird Line"},
{0,           0xE8,       0xE8,   1,         1,        {137},                  DUMMY,      0,   THREE_BYTE,  "Spade House"},
{0,           0xE9,       0xE9,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "Star B"},
{0,           0xEA,       0xEA,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Ice"},
{0,           0xEB,       0xEB,   1,         1,        {138},                  DUMMY,      0,   THREE_BYTE,  "Dungeon B"},
{0,           0xEC,       0xFF,   1,         1,        {122},                  DUMMY,      0,   THREE_BYTE,  "Blank Square"}
},
//**************************************************************************//
//                          PLAINS LEVELS - SET 1                           //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     5,        4,         {149, 40, 41, 149, 149,
                                                        40, 43, 39, 40, 41,
                                                        38, 42, 43, 44, 39, 
                                                        38, 44, 44, 44, 39},    DUMMY,     0,   THREE_BYTE,   "Background Hills A"},
{0,           0x01,     0x01,     4,        3,         {149, 40, 41, 149,
                                                        149, 38, 42, 41,
                                                        40, 43, 44, 39},        DUMMY,     0,   THREE_BYTE,   "Background Hills B"},
{0,           0x02,     0x02,     6,        8,         {149, 149, 40, 41, 149, 149,       
                                                        149, 149, 38, 42, 41, 149,
                                                        149, 149, 38, 44, 39, 149,
                                                        149, 40, 43, 44, 39, 149,
                                                        40, 43, 44, 44, 39, 149,
                                                        38, 44, 44, 44, 39, 149,
                                                        38, 44, 44, 44, 42, 41,
                                                        38, 44, 44, 44, 44, 39}, DUMMY,    0,   THREE_BYTE,   "Background Hills C"},
{0,           0x03,     0x03,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "White Mushrooms, Flowers and Stars"},
{0,           0x04,     0x04,     1,        2,         {45,
                                                        151},                     DUMMY,    0,   THREE_BYTE,   "Door (CAN go in)"},
{0,           0x05,     0x05,     1,        2,         {46, 
                                                        152},                     DUMMY,    0,   THREE_BYTE,   "Door (CAN'T go in)"},
{0,           0x06,     0x06,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird vine"},
{0,           0x07,     0x07,     1,        1,         {47},                     DUMMY,    0,   THREE_BYTE,   "Small background cloud"},
{0,           0x08,     0x08,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x09,     0x09,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0A,     0x0A,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0B,     0x0B,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0C,     0x0C,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0D,     0x0D,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0E,     0x0E,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0F,     0x0F,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x10,     0x1F,     3,        3,         {54, 55, 56,
                                                        51, 52, 53,
                                                        48, 49, 50},         GD_EXT,   3,   THREE_BYTE,   "White block platform, extends to ground"},
{0,           0x20,     0x2F,     3,        3,         {63, 64, 65,
                                                        60, 61, 62,
                                                        57, 58, 59},         GD_EXT,   3,   THREE_BYTE,   "Orange block platform, extends to ground"},
{0,           0x30,     0x3F,     3,        3,         {72, 73, 74,
                                                        69, 70, 71,
                                                        66, 67, 68},         GD_EXT,   3,   THREE_BYTE,   "Green block platform, extends to ground"},
{0,           0x40,     0x4F,     3,        3,         {81, 82, 83,
                                                        78, 79, 80,
                                                        75, 76, 77},         GD_EXT,   3,   THREE_BYTE,   "Blue block platform, extends to ground"},
{0,           0x50,     0x5F,     3,        2,         {54, 55, 56,
                                                        48, 49, 50},
                                                                            HORIZ_2,    3,   THREE_BYTE,   "White block platform"},
{0,           0x60,     0x6F,     3,        2,         {63, 64, 65,
                                                        57, 58, 59},
                                                                            HORIZ_2,    3,   THREE_BYTE,   "Orange block platform"},
{0,           0x70,     0x7F,     3,        2,         {72, 73, 74,
                                                        66, 67, 68},
                                                                                 HORIZ_2,    3,   THREE_BYTE,   "Green block platform"},
{0,           0x80,     0x8F,     3,        2,         {81, 82, 83,
                                                        75, 76, 77
                                                                      },         HORIZ_2,    3,   THREE_BYTE,   "Blue block platform"},
{0,           0x90,     0x9F,     1,        1,         {89},                     HORIZ,    0,   THREE_BYTE,   "Background Bushes"},
{0,           0xA0,     0xAF,     3,        1,         {126, 149, 124},          HORIZ,    3,   THREE_BYTE,   "Gap"},
{0,           0xB0,     0xBF,     1,        1,         {91},                     HORIZ,    0,   THREE_BYTE,   "Cloud platform"},
{0,           0xC0,     0xCF,     3,        2,         {124, 125, 126,
                                                        121, 122, 123},          HORIZ,    3,   FOUR_BYTE,   "Flat ground"},
{0,           0xD0,     0xDF,     3,        2,         {130, 131, 132,
                                                        127, 128, 129},          HORIZ,    3,   FOUR_BYTE,   "Underwater flat ground"},
{0,           0xE0,     0xEF,     3,        2,         {92, 94, 96,
                                                        93, 95, 97},             HORIZ,    3,   THREE_BYTE,   "Background clouds"},
{0,           0xF0,     0xFF,     3,        1,         {132, 149, 130},          HORIZ,    3,   THREE_BYTE,   "Underwater gap"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                    HORIZ,    0,   FOUR_BYTE,   "Blue X-Blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        2,         {61,
                                                        58},                     HORIZ,    0,   FOUR_BYTE,   "Weird Orange Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {91},                     HORIZ,    0,   THREE_BYTE,   "Cloud Platform"},
{3,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                     HILLY/UNDERGROUND LEVELS - SET 2                     //
//**************************************************************************//
{
{0,           0x00,     0x00,     1,        1,         {38},                    DUMMY,     0,   THREE_BYTE,   "Upper Left Hill Corner - UngerGround"},
{0,           0x01,     0x01,     1,        1,         {39},                    DUMMY,     0,   THREE_BYTE,   "Upper Left HIll Corner - Hilly"},
{0,           0x02,     0x02,     1,        1,         {40},                    DUMMY,    0,   THREE_BYTE,    "Upper Left Hill Corner - UnderWater"},
{0,           0x03,     0x03,     1,        1,         {41},                    DUMMY,    0,   THREE_BYTE,    "Upper Right Hill Corner - UnderGround"},
{0,           0x04,     0x04,     1,        1,         {42},                     DUMMY,    0,   THREE_BYTE,   "Upper Right Hill Corner - Hilly"},
{0,           0x05,     0x05,     1,        1,         {43},                  DUMMY,    0,   THREE_BYTE,      "Upper Right Hill Corner - UnderWater"},
{0,           0x06,     0x06,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x07,     0x07,     1,        1,         {44},                     DUMMY,    0,   THREE_BYTE,   "Lower Left Hill Corner"},
{0,           0x08,     0x08,     1,        1,         {45},                    DUMMY,    0,   THREE_BYTE,   "Lower Left Hill Corner - UnderWater"},
{0,           0x09,     0x09,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x0A,     0x0A,     1,        1,         {46},                    DUMMY,    0,   THREE_BYTE,   "Lower Right Hill Corner"},
{0,           0x0B,     0x0B,     1,        1,         {47},                    DUMMY,    0,   THREE_BYTE,   "Lower Right Hill Corner - UnderWater"},
{0,           0x0C,     0x0C,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0D,     0x0D,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0E,     0x0E,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0F,     0x0F,     1,        2,         {48,
                                                        151},                    DUMMY,    0,   THREE_BYTE,   "Door"},
{0,           0x10,     0x1F,     2,        1,         {50, 49},         DIAG_DR,   1,   THREE_BYTE,   "45 Degree Underground Hill - Down/Right"},
{0,           0x20,     0x2F,     2,        1,         {51, 50},         DIAG_DL,   1,   THREE_BYTE,   "45 Degree Underground Hill - Down/Left"},
{0,           0x30,     0x3F,     2,        1,         {153, 50},        DIAG_DR,   2,   THREE_BYTE,   "Weird 45 Degree Hill"},
{0,           0x40,     0x4F,     2,        1,         {50, 153},        DIAG_CRNR ,   1,   THREE_BYTE,   "Weird 45 Degree Hill"},
{0,           0x50,     0x5F,     2,        1,         {53, 52},        DIAG_DR,    1,   THREE_BYTE,   "45 Degree Hill - Down/Right"},
{0,           0x60,     0x6F,     2,        1,         {54, 53},           DIAG_DL,    1,   THREE_BYTE,   "45 Degree Hill - Down/Left"},
{0,           0x70,     0x7F,     2,        1,         {55, 56},         DIAG_DR,    2,   THREE_BYTE,   "45 Degree Hill - Up/Left" },
{0,           0x80,     0x8F,     2,        1,         {56, 57},         DIAG_CRNR,    1,   THREE_BYTE,   "45 Degree Hill - Up/Right "},
{0,           0x90,     0x9F,     2,        1,         {53, 58},         DIAG_DR,    1,   THREE_BYTE,   "45 Degree Underwater Hill - Down/Right"},
{0,           0xA0,     0xAF,     2,        1,         {59, 53},          DIAG_DL,    1,   THREE_BYTE,   "45 Degree Underwater Hill - Down/Left"},
{0,           0xB0,     0xBF,     2,        1,         {60, 56},          DIAG_DR,    2,   THREE_BYTE,   "45 Degree Underwater Hill - Up/Left"},
{0,           0xC0,     0xCF,     2,        1,         {56, 61},          DIAG_CRNR,    1,   THREE_BYTE,   "45 Degree Underwater Hill - Up/Right"},
{0,           0xD0,     0xDF,     1,        1,         {62},          VERTICAL,    0,   THREE_BYTE,   "Underground Wall - Left Side"},
{0,           0xE0,     0xEF,     1,        1,         {63},             VERTICAL,    0,   THREE_BYTE,   "Hilly Wall - Left Side"},
{0,           0xF0,     0xFF,     1,        1,         {64},          VERTICAL,    0,   THREE_BYTE,   "Dark Underground Wall - Left Side"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     5,        4,         {90, 66, 67, 90, 90,
                                                        66, 69, 65, 66, 67,
                                                        70, 68, 69, 71, 65,
                                                        70, 71, 71, 71, 65},     DUMMY,    0,   THREE_BYTE,   "Background Hills A"},
{2,           0x0B,     0x0B,     4,        3,         {90, 66, 67, 90,
                                                        90, 70, 68, 67,
                                                        66, 69, 71, 65},         DUMMY,    0,   THREE_BYTE,   "Background Hills B"},
{2,           0x0C,     0x0C,     6,        8,         {90, 90, 66, 67, 90, 90,
                                                        90, 90, 70, 68, 67, 90,
                                                        90, 90, 70, 71, 65, 90,
                                                        90, 66, 69, 71, 65, 90,
                                                        66, 69, 71, 71, 65, 90,
                                                        70, 71, 71, 71, 65, 90,
                                                        70, 71, 71, 71, 68, 67,
                                                        70, 71, 71, 71, 71, 65},  DUMMY,    0,   THREE_BYTE,   "Background Hills C"},
{2,           0x0D,     0x0D,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{2,           0x0E,     0x0E,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{2,           0x0F,     0x0F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {72},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-Blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        2,         {142,
                                                        143},                     HORIZ,    0,   FOUR_BYTE,   "Normal Quicksand"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     8,        6,         {41, 90, 90, 90, 38, 76, 76, 76,
                                                        162, 73, 73, 73, 64, 56, 56, 56,
                                                        162, 73, 73, 73, 64, 56, 56, 56,
                                                        162, 73, 73, 73, 55, 56, 56, 56,
                                                        56, 49, 73, 73, 73, 55, 56, 56,
                                                        56, 56, 49, 73, 73, 73, 55, 56},    DUMMY,    0,   THREE_BYTE,   "Underground Tunnel A"},
{3,           0x01,     0x01,     8,        6,         {76, 76, 76, 41, 90, 90, 90, 41,
                                                        56, 56, 56, 162, 73, 73, 73, 64,
                                                        56, 56, 56, 162, 73, 73, 73, 64,
                                                        56, 56, 56, 57, 73, 73, 73, 64,
                                                        56, 56, 57, 73, 73, 73, 51, 56,
                                                        56, 57, 73, 73, 73, 51, 56, 56},    DUMMY,    0,   THREE_BYTE,   "Underground Tunnel B"},
{3,           0x02,     0x02,     6,        6,         {73, 73, 73, 51, 56, 57,
                                                        73, 73, 51, 56, 57, 73,
                                                        73, 51, 56, 57, 73, 73,
                                                        51, 56, 57, 73, 73, 73,
                                                        56, 57, 73, 73, 73, 73,
                                                        57, 73, 73, 73, 73, 73}, DUMMY,    0,   THREE_BYTE,   "45 Degree Diagonal Hill Strip A"},
{3,           0x03,     0x03,     6,        6,         {55, 56, 49, 73, 73, 73,
                                                        73, 55, 56, 49, 73, 73,
                                                        73, 73, 55, 56, 49, 73,
                                                        73, 73, 73, 55, 56, 49,
                                                        73, 73, 73, 73, 55, 56,
                                                        73, 73, 73, 73, 73, 55}, DUMMY,    0,   THREE_BYTE,   "45 Degree Diagonal Hill Strip B"},
{3,           0x04,     0x04,     8,        4,         {73, 73, 73, 73, 73, 73, 73, 73,
                                                        73, 73, 73, 73, 73, 73, 73, 73,
                                                        76, 76, 76, 76, 76, 76, 76, 76,
                                                        79, 79, 79, 79, 79, 79, 79, 79},   DUMMY,    0,   THREE_BYTE,   "Horizontal Hill Strip"},
{3,           0x05,     0x05,     2,        6,         {64, 162,
                                                        64, 162,
                                                        64, 162,
                                                        64, 162,
                                                        64, 162,
                                                        64, 162},               DUMMY,    0,   THREE_BYTE,   "Vertical Hill Strip"},
{3,           0x06,     0x06,     8,        6,         {73, 73, 73, 73, 73, 73, 89, 91,
                                                        73, 73, 73, 73, 89, 91, 56, 56,
                                                        73, 73, 89, 91, 56, 56, 127, 128,
                                                        89, 91, 56, 56, 127, 128, 73, 73,
                                                        56, 56, 127, 128, 73, 73, 73, 73,
                                                        127, 128, 73, 73, 73, 73, 73, 73}, DUMMY,    0,   THREE_BYTE,   "30 Degree Diagonal Hill Strip A"},
{3,           0x07,     0x07,     8,        6,         {87, 88, 73, 73, 73, 73, 73, 73,
                                                        56, 56, 87, 88, 73, 73, 73, 73,
                                                        125, 126, 56, 56, 87, 88, 73, 73,
                                                        73, 73, 125, 126, 56, 56, 87, 88,
                                                        73, 73, 73, 73, 125, 126, 56, 56,
                                                        73, 73, 73, 73, 73, 73, 125, 126}, DUMMY,    0,   THREE_BYTE,   "30 Degree Diagonal Hill Strip B"},
{3,           0x08,     0x08,     8,        3,         {38, 76, 76, 76, 76, 76, 76, 41,
                                                        125, 126, 56, 56, 56, 56, 127, 128,
                                                        73, 73, 125, 126, 127, 128, 73, 73}, DUMMY,    0,   THREE_BYTE,   "Triangular Hill Object A"},
{3,           0x09,     0x09,     8,        6,         {73, 73, 73, 73, 73, 73, 73, 73,
                                                        73, 73, 73, 73, 73, 73, 73, 73,
                                                        73, 73, 73, 73, 73, 73, 73, 73,
                                                        73, 73, 89, 91, 87, 88, 73, 73,
                                                        89, 91, 56, 56, 56, 56, 87, 88,
                                                        44, 79, 79, 79, 79, 79, 79, 46},   DUMMY,    0,   THREE_BYTE,   "Triangular Hill Object B"},
{3,           0x0A,     0x0A,     8,        6,         {73, 73, 73, 73, 73, 73, 38, 76,
                                                        73, 73, 73, 73, 73, 38, 50, 50,
                                                        73, 73, 73, 73, 38, 50, 50, 50,
                                                        73, 73, 73, 38, 50, 50, 50, 50,
                                                        73, 73, 38, 50, 50, 50, 50, 50,
                                                        73, 38, 50, 50, 50, 50, 50, 50},  DUMMY,    0,   THREE_BYTE,   "Steps A"},
{3,           0x0B,     0x0B,     7,        6,         {76, 41, 73, 73, 73, 73, 73,
                                                        50, 50, 41, 73, 73, 73, 73,
                                                        50, 50, 50, 41, 73, 73, 73,
                                                        50, 50, 50, 50, 41, 73, 73,
                                                        50, 50, 50, 50, 50, 41, 73,
                                                        50, 50, 50, 50, 50, 50, 41}, DUMMY,    0,   THREE_BYTE,   "Steps B"},
{3,           0x0C,     0x0C,     5,        4,         {73, 73, 73, 73, 73,
                                                        73, 73, 73, 73, 73,
                                                        73, 73, 73, 38, 41,
                                                        73, 73, 73, 44, 46},                 DUMMY,    0,   THREE_BYTE,   "Square Hill Object"},
{3,           0x0D,     0x0D,     8,        6,         {73, 73, 73, 73, 73, 73, 73, 73,
                                                       73, 73, 73, 73, 73, 73, 73, 73,
                                                       73, 73, 73, 73, 73, 73, 73, 73,
                                                       43, 74, 40, 78, 43, 74, 40, 78,
                                                       161, 75, 63, 53, 161, 75, 63, 53,
                                                       53, 78, 53, 53, 53, 78, 53, 53},  DUMMY,    0,   THREE_BYTE,   "Flat Land & Water Pits"},
{3,           0x0E,     0x0E,     8,        6,         {73, 73, 73, 73, 73, 73, 39, 77,
                                                        73, 73, 123, 124, 43, 74, 63, 53,
                                                        73, 73, 63, 53, 161, 75, 63, 53,
                                                        43, 74, 63, 53, 53, 78, 53, 53,
                                                        161, 75, 63, 53, 53, 53, 53, 53,
                                                        53, 78, 53, 53, 53, 53, 53, 53},   DUMMY,    0,   THREE_BYTE,   "30-Degree Hill & Water Pits A"},
{3,           0x0F,     0x0F,     8,        6,         {42, 73, 73, 73, 73, 73, 73, 73,
                                                        161, 74, 40, 121, 122, 73, 73, 73,
                                                        161, 75, 63, 53, 161, 73, 73, 73,
                                                        53, 78, 53, 53, 161, 74, 40, 77,
                                                        53, 53, 53, 53, 161, 75, 63, 53,
                                                        53, 53, 53, 53, 53, 78, 53, 53},   DUMMY,    0,   THREE_BYTE,   "30-Degree Hill & Water Pits B"},
{3,           0x10,     0x1F,     3,        1,         {50, 87, 88},             DIAG_DR,  1,   THREE_BYTE,   "30 Degree Underground Hill - Down/Right"},
{3,           0x20,     0x2F,     3,        1,         {89, 91, 50},             DIAG_DL,  1,   THREE_BYTE,   "30 Degree Underground Hill - Down/Left"},
{3,           0x30,     0x3F,     3,        1,         {153, 153, 50},           DIAG_DR,  2,   THREE_BYTE,   "Weird 30-Degree Hill"},
{3,           0x40,     0x4F,     3,        1,         {50, 153, 153},           DIAG_CRNR,1,   THREE_BYTE,   "Weird 30-Degree Hill"},
{3,           0x50,     0x5F,     3,        1,         {53, 121, 122},           DIAG_DR,  1,   THREE_BYTE,   "30 Degree Hill - Down/Right"},
{3,           0x60,     0x6F,     3,        1,         {123, 124, 53},           DIAG_DL,  1,   THREE_BYTE,   "30 Degree Hill - Down/Left"},
{3,           0x70,     0x7F,     3,        1,         {125, 126, 56},           DIAG_DR,  2,   THREE_BYTE,   "30 Degree Hill - Up/Left"},
{3,           0x80,     0x8F,     3,        1,         {56, 127, 128},           DIAG_CRNR,1,   THREE_BYTE,   "30 Degree Hill - Up/Right"},
{3,           0x90,     0x9F,     3,        1,         {53, 129, 130},           DIAG_DR,  1,   THREE_BYTE,   "30 Degree Underwater Hill - Down/Right"},
{3,           0xA0,     0xAF,     3,        1,         {131, 132, 53},           DIAG_DL,  1,   THREE_BYTE,   "30 Degree Underwater Hill - Down/Left"},
{3,           0xB0,     0xBF,     3,        1,         {157, 158, 56},           DIAG_DR,  2,   THREE_BYTE,   "30 Degree Underwater Hill - Up/Left"},
{3,           0xC0,     0xCF,     3,        1,         {56, 159, 141},           DIAG_CRNR,1,   THREE_BYTE,   "30 Degree Underwater Hill - Up/Right"},
{3,           0xD0,     0xDF,     1,        1,         {160},                    VERTICAL, 0,   THREE_BYTE,   "Underground Wall - Right Side"},
{3,           0xE0,     0xEF,     1,        1,         {161},                    VERTICAL, 0,   THREE_BYTE,   "Hilly Wall - Right Side"},
{3,           0xF0,     0xFF,     1,        1,         {162},                    VERTICAL, 0,   THREE_BYTE,   "Dark Underground Wall - Right Side"},
{4,           0x00,     0x00,     1,        1,         {81},                     DUMMY,    0,   THREE_BYTE,   "Small Background Cloud"},
{4,           0x01,     0x01,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{4,           0x02,     0x02,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {146},                     HORIZ,    0,   FOUR_BYTE,    "Gap"},
{4,           0x20,     0x2F,     1,        1,         {73},                     HORIZ,    0,   FOUR_BYTE,    "Gap with Black Stars (Underground Levels only)"},
{4,           0x30,     0x3F,     1,        2,         {74,
                                                        75},                     HORIZ,    0,   FOUR_BYTE,    "Water"},
{4,           0x40,     0x4F,     1,        1,         {50},                     HORIZ,    0,   FOUR_BYTE,    "Underground Wall"},
{4,           0x50,     0x5F,     1,        1,         {53},                     HORIZ,    0,   FOUR_BYTE,    "Hilly Wall"},
{4,           0x60,     0x6F,     1,        1,         {56},                     HORIZ,    0,   FOUR_BYTE,    "Dark Underground Wall"},
{4,           0x70,     0x7F,     1,        2,         {76,
                                                        50},                     HORIZ,    0,   FOUR_BYTE,    "Flat Land - Underground"},
{4,           0x80,     0x8F,     1,        2,         {77,
                                                        53},                     HORIZ,    0,   FOUR_BYTE,    "Flat Land - Hilly"},
{4,           0x90,     0x9F,     1,        2,         {78,
                                                        53},                     HORIZ,    0,   FOUR_BYTE,    "Flat Land - Underwater"},
{4,           0xA0,     0xAF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,    "Weird Black Wall"},
{4,           0xB0,     0xBF,     1,        2,         {56,
                                                        79},                     HORIZ_2,  0,   FOUR_BYTE,   "Ceiling"},
{4,           0xC0,     0xCF,     1,        2,         {56,
                                                        80},                     HORIZ_2,  0,   FOUR_BYTE,   "Underwater Ceiling"},
{4,           0xD0,     0xDF,     3,        1,         {83, 82, 84},             HORIZ,    3,   THREE_BYTE,   "Small Background Hills"},
{4,           0xE0,     0xEF,     2,        2,         {30, 31,
                                                        85, 86},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe to End of Level"},
{4,           0xF0,     0xFF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {163},                    HORIZ,    0,   THREE_BYTE,   "Background like at bottom of hilly level"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     3,        2,         {92, 94, 96,
                                                        93, 95, 97},             HORIZ,    3,   THREE_BYTE,   "Background Clouds"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {165},                    DUMMY,    0,   THREE_BYTE,   "Hilly Wall - 50 = right 51 = left (Mario Allstars Only)"},
{5,           0x60,     0x6F,     3,        2,         {164, 164, 164,
                                                        153, 153, 153},          HORIZ,    3,   FOUR_BYTE,    "Flat Ground with green on top (Mario Allstars Only)"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                            SKY LEVELS - SET 3                            //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        1,         {38},                   DUMMY,     0,   THREE_BYTE,   "Small Swirly Background Cloud"},
{0,           0x01,     0x01,     2,        1,         {39, 40},               DUMMY,     0,   THREE_BYTE,   "Large Swirly Background Cloud"},
{0,           0x02,     0x02,     1,        2,         {41,
                                                        42},                   GD_EXT,    0,   THREE_BYTE,   "Blue Background Pole A"},
{0,           0x03,     0x03,     1,        2,         {43,
                                                        44},                   GD_EXT,    0,   THREE_BYTE,   "Blue Background Pole B"},
{0,           0x04,     0x04,     1,        1,         {46},                   GD_EXT,    0,   THREE_BYTE,   "Wooden Background Pole"},
{0,           0x05,     0x05,     1,        2,         {45,
                                                        151},                    DUMMY,    0,   THREE_BYTE,   "Door"},
{0,           0x06,     0x06,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x07,     0x07,     1,        1,         {47},                     DUMMY,    0,   THREE_BYTE,   "Blue gear"},
{0,           0x08,     0x08,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x09,     0x09,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0A,     0x0A,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0B,     0x0B,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0C,     0x0C,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0D,     0x0D,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0E,     0x0E,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x0F,     0x0F,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing?"},
{0,           0x10,     0x1F,     3,        2,         {77, 78, 79,
                                                        153, 153, 153},          HORIZ,    3,   FOUR_BYTE,   "Wooden platform"},
{0,           0x20,     0x2F,     3,        2,         {48, 49, 50,
                                                        51, 52, 53},             HORIZ,    3,   THREE_BYTE,   "Wooden block platform"},
{0,           0x30,     0x3F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x40,     0x4F,     1,        1,         {89},                     HORIZ,    0,   THREE_BYTE,   "Background Bushes"},
{0,           0x50,     0x5F,     3,        1,         {54, 55, 56},             HORIZ,    3,   THREE_BYTE,   "Double Background Bushes"},
{0,           0x60,     0x6F,     3,        3,         {57, 58, 59,
                                                        60, 61, 62,
                                                        60, 61, 62},             GD_EXT,   3,   THREE_BYTE,   "Green platform"},
{0,           0x70,     0x7F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x80,     0x8F,     1,        1,         {63},                     HORIZ,    0,   THREE_BYTE,   "Horizontal platform wire"},
{0,           0x90,     0x9F,     1,        1,         {64},                     VERTICAL, 0,   THREE_BYTE,   "Vertical platform wire"},
{0,           0xA0,     0xAF,     1,        1,         {65},                     DIAG_DR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Down/Right"},
{0,           0xB0,     0xBF,     1,        1,         {66},                     DIAG_UR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Up/Right"},
{0,           0xC0,     0xCF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xD0,     0xDF,     1,        2,         {67,
                                                        68},                     DIAG_DR,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Right"},
{0,           0xE0,     0xEF,     1,        2,         {70,
                                                        69},                     DIAG_DL,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Left"},
{0,           0xF0,     0xFF,     3,        2,         {71, 72, 73,
                                                        74, 75, 76},             HORIZ,    3,   THREE_BYTE,   "World 5-style Cloud Platform"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {84},                     HORIZ,    0,   FOUR_BYTE,   "Blue Wooden Blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird platform"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0x20,     0x2F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0x30,     0x3F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0x40,     0x4F,     1,        1,         {80},                     HORIZ,    0,   THREE_BYTE,   "Donut Blocks"},
{3,           0x50,     0x5F,     1,        1,         {81},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Left"},
{3,           0x60,     0x6F,     1,        1,         {82},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Right"},
{3,           0x70,     0x7F,     1,        1,         {83},                     HORIZ,    0,   THREE_BYTE,   "Jelectros"},
{3,           0x80,     0x8F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0x90,     0x9F,     1,        1,         {91},                     HORIZ,    0,   THREE_BYTE,   "Cloud Platform"},
{3,           0xA0,     0xAF,     1,        2,         {5,
                                                        153},                    HORIZ,    0,   FOUR_BYTE,    "Munchers"},
{3,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                            DUNGEONS - SET 4                              //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        2,         {48,
                                                        151},                  DUMMY,     0,   THREE_BYTE,   "Door"},
{0,           0x01,     0x01,     1,        1,         {146},                  DUMMY,     0,   THREE_BYTE,   "Nothing???"},
{0,           0x02,     0x02,     1,        1,         {38},                   DUMMY,     0,   THREE_BYTE,   "Rotodisc block"},
{0,           0x03,     0x03,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x04,     0x04,     1,        1,         {39},                   DUMMY,     0,   THREE_BYTE,   "Hot Foot Candle"},
{0,           0x05,     0x05,     1,        2,         {40,
                                                        41},                   DUMMY,     0,   THREE_BYTE,   "Bowser Statue"},
{0,           0x06,     0x06,     1,        2,         {42,
                                                        43},                   DUMMY,     0,   THREE_BYTE,   "Invisible Door"},
{0,           0x07,     0x07,     2,        2,         {44, 45,
                                                        46, 47},               DUMMY,     0,   THREE_BYTE,   "The Princess's Door"},
{0,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x10,     0x1F,     4,        1,         {49, 50, 153, 153},       HORIZ,    0,   THREE_BYTE,   "Bottom of background with pillars A"},
{0,           0x20,     0x2F,     4,        1,         {51, 52, 153, 153},       HORIZ,    0,   THREE_BYTE,   "Bottom of background with pillars B"},
{0,           0x30,     0x3F,     2,        2,         {53, 53,
                                                        54, 55},                 HORIZ,    1,   THREE_BYTE,   "Red bricks"},
{0,           0x40,     0x4F,     1,        1,         {55},                     HORIZ,    0,   THREE_BYTE,   "Dungeon background"},
{0,           0x50,     0x5F,     1,        1,         {56},                     HORIZ,    0,   THREE_BYTE,   "Dark dungeon background"},
{0,           0x60,     0x6F,     4,        2,         {57, 153, 153, 153,
                                                        58, 153, 153, 153},      HORIZ,    0,   THREE_BYTE,   "Dungeon windows"},
{0,           0x70,     0x7F,     4,        4,         {57, 153, 153, 153,
                                                        59, 153, 153, 153,
                                                        59, 153, 153, 153,
                                                        58, 153, 153, 153},      HORIZ,    0,   THREE_BYTE,   "Long dungeon windows"},
{0,           0x80,     0x8F,     4,        1,         {59, 153, 153, 153},      HORIZ,    0,   THREE_BYTE,   "Middle section of dungeon windows"},
{0,           0x90,     0x9F,     4,        1,         {60, 153, 153, 153},      HORIZ,    0,   THREE_BYTE,   "Dungeon Lamps (NOTE: extends to ceiling)"},
{0,           0xA0,     0xAF,     1,        1,         {148},                    HORIZ,    0,   THREE_BYTE,   "Weird"},
{0,           0xB0,     0xBF,     3,        1,         {63, 64, 65},             HORIZ,    3,   THREE_BYTE,   "Stretch platform"},
{0,           0xC0,     0xCF,     1,        1,         {66},                     HORIZ,    0,   THREE_BYTE,   "Floor Spikes"},
{0,           0xD0,     0xDF,     1,        1,         {67},                     HORIZ,    0,   THREE_BYTE,   "Ceiling Spikes"},
{0,           0xE0,     0xEF,     1,        1,         {68},                     HORIZ,    0,   FOUR_BYTE,    "Horizontally oriented X-blocks"},
{0,           0xF0,     0xFF,     1,        1,         {68},                     VERTICAL, 0,   FOUR_BYTE,    "Vertically oriented X-blocks"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine "},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {69},                     HORIZ,    0,   FOUR_BYTE,   "Blocks with circles in the middle"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {81},                     GD_EXT,   0,   THREE_BYTE,   "Dark Dungeon Background"},
{3,           0x20,     0x2F,     1,        1,         {81},                     HORIZ,    0,   FOUR_BYTE,    "Dark Dungeon Background"},
{3,           0x30,     0x3F,     1,        1,         {164},                    HORIZ,    0,   FOUR_BYTE,    "Blank Background, used to block out stuff"},
{3,           0x40,     0x4F,     1,        2,         {87,
                                                        88},                     HORIZ,    0,   FOUR_BYTE,    "Lava"},
{3,           0x50,     0x5F,     1,        1,         {70},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Left"},
{3,           0x60,     0x6F,     1,        1,         {71},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Right"},
{3,           0x70,     0x7F,     1,        1,         {72},                     HORIZ,    0,   THREE_BYTE,   "Horizontal Platform Wire"},
{3,           0x80,     0x8F,     1,        1,         {73},                     VERTICAL, 0,   THREE_BYTE,   "Vertical Platform Wire"},
{3,           0x90,     0x9F,     1,        1,         {74},                     DIAG_DR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Down/Right"},
{3,           0xA0,     0xAF,     1,        1,         {75},                     DIAG_UR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Up/Right"},
{3,           0xB0,     0xBF,     1,        2,         {76,
                                                        77},                     DIAG_DR,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Right"},
{3,           0xC0,     0xCF,     1,        2,         {78,
                                                        79},                     DIAG_DL,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Left"},
{3,           0xD0,     0xDF,     1,        1,         {89},                     HORIZ,    0,   FOUR_BYTE,    "Red Bricks - found in Bowser's Castle"},
{3,           0xE0,     0xEF,     1,        1,         {80},                     HORIZ,    0,   THREE_BYTE,   "Donut Blocks"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                            AIRSHIPS - SET 5                              //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        1,         {38},                   DUMMY,     0,   THREE_BYTE,   "Right Screw Head"},
{0,           0x01,     0x01,     1,        1,         {39},                   DUMMY,     0,   THREE_BYTE,   "2-Way Bullet Shooter"},
{0,           0x02,     0x02,     1,        1,         {40},                   DUMMY,     0,   THREE_BYTE,   "Rocket Engine"},
{0,           0x03,     0x03,     1,        1,         {41},                   DUMMY,     0,   THREE_BYTE,   "Wooden ship beam terminus A"},
{0,           0x04,     0x04,     1,        1,         {42},                   DUMMY,     0,   THREE_BYTE,   "Anchor"},
{0,           0x05,     0x05,     1,        1,         {43},                   DUMMY,     0,   THREE_BYTE,   "Top Screw Head"},
{0,           0x06,     0x06,     1,        1,         {44},                   DUMMY,     0,   THREE_BYTE,   "Bullet Shooter - Up/Left"},
{0,           0x07,     0x07,     1,        1,         {45},                   DUMMY,     0,   THREE_BYTE,   "Bullet Shooter - Up/Right"},
{0,           0x08,     0x08,     1,        1,         {46},                   DUMMY,     0,   THREE_BYTE,   "Bullet Shooter - Down/Left"},
{0,           0x09,     0x09,     1,        1,         {47},                   DUMMY,     0,   THREE_BYTE,   "Bullet Shooter - Down/Right"},
{0,           0x0A,     0x0A,     2,        3,         {48, 49,
                                                        50, 51,
                                                        52, 53},               DUMMY,     0,   THREE_BYTE,    "4-Way Bullet Shooter A"},
{0,           0x0B,     0x0B,     2,        3,         {48, 49,
                                                        54, 55,
                                                        56, 57},               DUMMY,     0,   THREE_BYTE,   "4-Way Bullet Shooter B"},
{0,           0x0C,     0x0C,     2,        2,         {58, 59,
                                                        60, 61},               DUMMY,    0,   THREE_BYTE,   "Metal Plated Bullet Shooter A"},
{0,           0x0D,     0x0D,     2,        2,         {62, 63,
                                                        64, 65},               DUMMY,    0,   THREE_BYTE,   "Metal Plated Bullet Shooter B"},
{0,           0x0E,     0x0E,     2,        2,         {66, 67,
                                                        68, 69},               DUMMY,    0,   THREE_BYTE,   "Wooden Background Box"},
{0,           0x0F,     0x0F,     1,        1,         {148},                  DUMMY,    0,   THREE_BYTE,   "Black boss room background"},
{0,           0x10,     0x1F,     3,        1,         {70, 71, 73},       HORIZ,    3,   THREE_BYTE,   "Wooden Ship Beam"},
{0,           0x20,     0x2F,     3,        2,         {70, 71,  73,
                                                        153, 153,  153},   HORIZ,    3,   FOUR_BYTE,   "Wooden Ship Beam"},
{0,           0x30,     0x3F,     3,        2,         {74, 75,  77,
                                                        153, 153,  153},   HORIZ,    3,   FOUR_BYTE,   "Wooden Ship Beam with 2 strips of wood"},
{0,           0x40,     0x4F,     1,        3,         {78,
                                                        79,

                                                        81},                   VERTICAL, 3,   THREE_BYTE,   "Wooden Ship Pillar"},
{0,           0x50,     0x5F,     1,        3,         {78,
                                                        79,
                                                        81},                   HORIZ,    0,   THREE_BYTE,   "Row of Wooden Ship Pillars"},
{0,           0x60,     0x6F,     2,        3,         {82, 83,
                                                        84, 85,

                                                        88, 89},               VERTICAL, 3,   THREE_BYTE,   "Thick Wooden Ship Beam"},
{0,           0x70,     0x7F,     2,        1,         {90, 91},               HORIZ,    1,   THREE_BYTE,   "Corkscrew - Left terminus"},
{0,           0x80,     0x8F,     2,        1,         {91, 90},               HORIZ,    2,   THREE_BYTE,   "Corkscrew - Right terminus"},
{0,           0x90,     0x9F,     1,        2,         {93,
                                                        92},                   VERTICAL, 2,   THREE_BYTE,   "Corkscrew - Lower terminus"},
{0,           0xA0,     0xAF,     1,        2,         {92,
                                                        93},                   VERTICAL, 1,   THREE_BYTE,   "Corkscrew - Upper terminus"},
{0,           0xB0,     0xBF,     1,        1,         {94},                   HORIZ,    0,   THREE_BYTE,   "Metal platform"},
{0,           0xC0,     0xCF,     1,        1,         {95},                   VERTICAL, 0,   THREE_BYTE,   "Vertical Metal Bar A"},
{0,           0xD0,     0xDF,     1,        1,         {96},                   VERTICAL, 0,   THREE_BYTE,   "Vertical Metal Bar B"},
{0,           0xE0,     0xEF,     2,        3,         {97, 153,
                                                        121, 153,
                                                        122, 153},             VERTICAL, 3,   THREE_BYTE,   "Thick Vertical Background Pillar"},
{0,           0xF0,     0xFF,     1,        3,         {123,
                                                        124,
                                                        125},                  VERTICAL, 3,   THREE_BYTE,    "Vertical Background Pillar"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     2,        1,         {126, 127},               DUMMY,    0,   THREE_BYTE,   "Wooden ship beam terminus B"},
{2,           0x0B,     0x0B,     2,        1,         {128, 129},               DUMMY,    0,   THREE_BYTE,   "Background wooden ship beam terminus"},
{2,           0x0C,     0x0C,     6,        4,         {149, 149, 149, 158, 149, 149,
                                                        149, 149, 132, 71, 73, 149,
                                                        130, 131, 70, 72, 157, 149,
                                                        149, 132, 72, 71, 72, 73},    DUMMY,    0,   THREE_BYTE, "Tank A"},
{2,           0x0D,     0x0D,     11,       4,         {149, 149, 149, 149, 149, 158, 149, 159, 149, 149, 149,
                                                        149, 149, 149, 132, 71, 72, 71, 73, 149, 149, 149,
                                                        130, 131, 131, 70, 71, 72, 71, 157, 149, 149, 149,
                                                        149, 132, 71, 72, 71, 72, 71, 72, 71, 72, 157},    DUMMY,    0,   THREE_BYTE,   "Tank B"},
{2,           0x0E,     0x0E,     7,        5,         {41, 71, 72, 71, 72, 71, 72,
                                                        149, 41, 71, 72, 71, 72, 71,
                                                        149, 149, 41, 71, 72, 71, 72,
                                                        149, 149, 149, 126, 127, 71, 72,
                                                        149, 149, 149, 149, 149, 128, 129},   DUMMY,    0,   THREE_BYTE,   "Corner of Airship - Lasts 32 Blocks"},
{2,           0x0F,     0x0F,     1,        1,         {132},                    DUMMY,    0,   THREE_BYTE,   "Left terminus of wooden tank beam"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-Blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {158},                    DUMMY,    0,   THREE_BYTE,   "Rocky Wrench hole"},
{3,           0x01,     0x01,     5,        2,         {149, 149, 158, 149, 39,
                                                        41, 71, 72, 71, 73},     DUMMY,    0,   THREE_BYTE,   "Ship Platform A"},
{3,           0x02,     0x02,     5,        3,         {149, 149, 149, 78, 149,
                                                        149, 132, 71, 72, 39,
                                                        41, 71, 72, 71, 73},     DUMMY,    0,   THREE_BYTE,   "Ship Platform B"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {160},                    HORIZ,    0,   THREE_BYTE,   "Wooden Ship Background Line"},
{3,           0x20,     0x2F,     1,        1,         {161},                    HORIZ,    0,   THREE_BYTE,   "Railings"},
{3,           0x30,     0x3F,     1,        2,         {162,
                                                        163},                    HORIZ,    0,   THREE_BYTE,   "Ground (like on tank levels)"},
{3,           0x40,     0x4F,     3,        3,         {164, 165, 166,
                                                        167, 168, 169,
                                                        170, 171, 172},          HORIZ,    3,   FOUR_BYTE,    "Metal box platform"},
{3,           0x50,     0x5F,     3,        4,         {173, 174, 175,
                                                        176, 177, 178,
                                                        176, 177, 178,
                                                        179, 180, 181},          HORIZ,    3,   THREE_BYTE,   "Crate"},
{3,           0x60,     0x6F,     2,        1,         {182, 153},               HORIZ,    0,   THREE_BYTE,   "Portholes"},
{3,           0x70,     0x7F,     4,        1,         {70, 71, 72, 73},         HORIZ,    3,   FOUR_BYTE,    "Wooden Tank Beam"},
{3,           0x80,     0x8F,     2,        2,         {184, 185,
                                                        183, 186},               HORIZ,    1,   THREE_BYTE,   "Leftward Giant Bullet Shooter"},
{3,           0x90,     0x9F,     2,        2,         {185, 184,
                                                        186, 183},               HORIZ,    2,   THREE_BYTE,   "Rightward Giant Bullet Shooter"},
{3,           0xA0,     0xAF,     2,        1,         {130, 131},               HORIZ,    1,   THREE_BYTE,   "Leftward Bullet Shooter"},
{3,           0xB0,     0xBF,     3,        1,         {187, 188, 189},          HORIZ,    3,   THREE_BYTE,   "Tank Wheels"},
{3,           0xC0,     0xCF,     1,        1,         {144},                    HORIZ,    0,   THREE_BYTE,   "Invisible Platform"},
{3,           0xD0,     0xDF,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     6,        4,         {149, 149, 149, 158, 149, 149,
                                                        149, 149, 132, 71, 73, 149,
                                                        130, 131, 70, 72, 157, 149,
                                                        149, 132, 72, 71, 72, 73},   DUMMY,    0,   THREE_BYTE,   "Tank C"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                          CLOUDY LEVELS - SET 6                           //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x01,     0x01,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x02,     0x02,     10,       7,         {153, 153, 153, 153, 42, 41, 153, 153, 153, 153,
                                                        153, 153, 153, 43, 149, 149, 39, 153, 153, 153,
                                                        153, 153, 42, 149, 149, 149, 149, 41, 153, 153,
                                                        153, 43, 149, 149, 149, 149, 149, 149, 39, 153,
                                                        42, 149, 149, 149, 149, 149, 149, 149, 149, 39,
                                                        44, 149, 149, 149, 149, 149, 149, 149, 149, 38,
                                                        153, 45, 149, 149, 149, 149, 149, 149, 40, 153},  DUMMY,     0,   THREE_BYTE,   "Cloud Background A"},
{0,           0x03,     0x03,     1,        1,         {149},                  DUMMY,     0,   THREE_BYTE,   "Whole background is white"},
{0,           0x04,     0x04,     1,        1,         {146},                   DUMMY,     0,   THREE_BYTE,   "Nothing???"},
{0,           0x05,     0x05,     1,        1,         {148},                   DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x06,     0x06,     5,        4,         {149, 149, 149, 40, 45,
                                                        40, 45, 38, 153, 42,
                                                        39, 153, 153, 43, 149,
                                                        149, 41, 42, 149, 149}, DUMMY,     0,   THREE_BYTE,   "Cloud Background B"},
{0,           0x07,     0x07,     5,        3,         {40, 45, 40, 45, 149,
                                                        39, 153, 153, 153, 44,
                                                        149, 41, 43, 39, 42},   DUMMY,     0,   THREE_BYTE,   "Cloud Background C"},
{0,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x10,     0x1F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x20,     0x2F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x30,     0x3F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x40,     0x4F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x50,     0x5F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x60,     0x6F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x70,     0x7F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x80,     0x8F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x90,     0x9F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xA0,     0xAF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xB0,     0xBF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xC0,     0xCF,     3,        2,         {49, 50, 51,
                                                        46, 47, 48},             HORIZ,    3,   THREE_BYTE,   "World 5-style Cloud Platform - Blue Background"},
{0,           0xD0,     0xDF,     3,        2,         {55, 56, 57,
                                                        52, 53, 54},             HORIZ,    3,   THREE_BYTE,   "World 5-style Cloud Platform - White Background"},
{0,           0xE0,     0xEF,     3,        2,         {77, 78, 79,
                                                        61, 62, 63},             HORIZ,    3,   FOUR_BYTE,    "Clouds C"},
{0,           0xF0,     0xFF,     3,        1,         {58, 59, 60},             HORIZ,    3,   THREE_BYTE,   "World 6-style Cloud Platform"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        2,         {78,
                                                        62},                     HORIZ,    0,   FOUR_BYTE,    "Clouds A"},
{3,           0x20,     0x2F,     1,        2,         {68,
                                                        67},                     HORIZ,    0,   FOUR_BYTE,    "Clouds B"},
{3,           0x30,     0x3F,     1,        2,         {36,
                                                        37},                     HORIZ,    0,   THREE_BYTE,   "Horizontal no-ended pipe"},
{3,           0x40,     0x4F,     1,        1,         {149},                    HORIZ,    0,   FOUR_BYTE,    "White Background"},
{3,           0x50,     0x5F,     2,        1,         {30, 31},                 VERTICAL, 0,   THREE_BYTE,   "Vertical no-ended pipe"},
{3,           0x60,     0x6F,     2,        2,         {64, 36,
                                                        65, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward pipe to end of level"},
{3,           0x70,     0x7F,     1,        1,         {148},                    DUMMY,    0,   FOUR_BYTE,    "Weird green lava"},
{3,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xC0,     0xCF,     1,        1,         {149},                    HORIZ,    0,   THREE_BYTE,   "White Background"},
{3,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xE0,     0xEF,     1,        1,         {146},                    HORIZ,    0,   THREE_BYTE,   "Nothing???"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                           DESERT LEVELS - SET 7                          //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     4,        2,         {149, 39, 40, 149,
                                                        39, 40, 39, 40},       DUMMY,     0,   THREE_BYTE,   "Small block pyramid - Extends to ground"},
{0,           0x01,     0x01,     8,        4,         {149, 149, 41, 42, 42, 43, 149, 149,
                                                        149, 149, 44, 46, 46, 47, 149, 149,
                                                        41, 42, 42, 43, 41, 42, 42, 43,
                                                        44, 46, 46, 47, 44, 46, 46, 47},    DUMMY,     0,   THREE_BYTE,   "Medium block pyramid - Extends to ground"},
{0,           0x02,     0x02,     1,        1,         {148},                   DUMMY,    0,   THREE_BYTE,   "Weird block pyramid"},
{0,           0x03,     0x03,     8,        4,         {41, 42, 42, 42, 42, 42, 42, 43,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        44, 46, 46, 46, 46, 46, 46, 47},  DUMMY,     0,   THREE_BYTE,   "Large block pyramid - Extends to ground"},
{0,           0x04,     0x04,     3,        4,         {51, 52, 53,
                                                        94, 54, 94,
                                                        94, 54, 94,
                                                        94, 54, 94},           DUMMY,     0,   THREE_BYTE,   "Palm Tree"},
{0,           0x05,     0x05,     3,        3,         {94, 55, 94,
                                                        94, 56, 94,
                                                        57, 19, 57},           DUMMY,     0,   THREE_BYTE,   "Purple Bullet Bill Machine"},
{0,           0x06,     0x06,     1,        1,         {148},               DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x07,     0x07,     1,        1,         {58},                   DUMMY,     0,   THREE_BYTE,   "Uncracked Pipe"},
{0,           0x08,     0x08,     1,        1,         {59},                    DUMMY,    0,   THREE_BYTE,   "Cracked Pipe"},
{0,           0x09,     0x09,     1,        3,         {63,
                                                        63,
                                                        61},                    DUMMY,    0,   THREE_BYTE,   "Bottom post of pipe structure"},
{0,           0x0A,     0x0A,     2,        1,         {64, 65},                    DUMMY,    0,   THREE_BYTE,   "Oval Background Cloud"},
{0,           0x0B,     0x0B,     1,        2,         {45,
                                                        151},                    DUMMY,    0,   THREE_BYTE,   "Door"},
{0,           0x0C,     0x0C,     8,        4,         {94, 94, 94, 68, 67, 94, 94, 94,
                                                        94, 94, 68, 69, 66, 67, 94, 94,
                                                        94, 68, 69, 69, 66, 66, 67, 94,
                                                        68, 69, 69, 69, 66, 66, 66, 67},   DUMMY,    0,   THREE_BYTE,   "Background Pyramid"},
{0,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x10,     0x1F,     2,        1,         {39, 40},                 HORIZ,    0,   THREE_BYTE,   "Small block platforms"},
{0,           0x20,     0x2F,     4,        2,         {41, 42, 42, 43,
                                                        44, 46, 46, 47},        HORIZ,    0,   THREE_BYTE,   "Medium block platforms"},
{0,           0x30,     0x3F,     6,        3,         {41, 42, 42, 42, 42, 43,
                                                        48, 49, 49, 49, 49, 50,
                                                        44, 46, 46, 46, 46, 47},  HORIZ,    0,   THREE_BYTE,   "Large block platforms"},
{0,           0x40,     0x4F,     8,        4,         {41, 42, 42, 42, 42, 42, 42, 43,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        44, 46, 46, 46, 46, 46, 46, 47},  HORIZ,    0,   THREE_BYTE,   "X-Large block platforms"},
{0,           0x50,     0x5F,     1,        2,         {70,
                                                        71},                     DIAG_DL,  2,   THREE_BYTE,   "Diagonally oriented block platforms"},
{0,           0x60,     0x6F,     2,        1,         {72, 73},                 HORIZ,    0,   THREE_BYTE,   "Small sandstone blocks"},
{0,           0x70,     0x7F,     4,        2,         {74, 75, 75, 77,
                                                        72, 76, 76, 73},         HORIZ,    0,   THREE_BYTE,   "Medium sandstone blocks"},
{0,           0x80,     0x8F,     6,        3,         {74, 75, 75, 75, 75, 77,
                                                        78, 79, 79, 79, 79, 80,
                                                        72, 76, 76, 76, 76, 73}, HORIZ,    0,   THREE_BYTE,   "Large sandstone blocks"},
{0,           0x90,     0x9F,     8,        4,         {74, 75, 75, 75, 75, 75, 75, 77,
                                                        78, 79, 79, 79, 79, 79, 79, 80,
                                                        78, 79, 79, 79, 79, 79, 79, 80,
                                                        72, 76, 76, 76, 76, 76, 76, 73}, HORIZ,    0,   THREE_BYTE,   "X-Large sandstone blocks"},
{0,           0xA0,     0xAF,     1,        2,         {81,
                                                        82},                    DIAG_DL,    2,   THREE_BYTE,   "Diagonally oriented sandstone blocks"},
{0,           0xB0,     0xBF,     2,        2,         {39, 40,
                                                        40, 39},                  HORIZ,    0,   FOUR_BYTE,   "Small block platforms"},
{0,           0xC0,     0xCF,     4,        4,         {41, 42, 42, 43,
                                                        44, 46, 46, 47,
                                                        42, 43, 41, 42,
                                                        46, 47, 44, 46},         HORIZ,    0,   FOUR_BYTE,   "Medium block platforms"},
{0,           0xD0,     0xDF,     6,        6,         {41, 42, 42, 42, 42, 43,
                                                        48, 49, 49, 49, 49, 50,
                                                        44, 46, 46, 46, 46, 47,
                                                        42, 42, 43, 41, 42, 42,
                                                        49, 49, 50, 48, 49, 49,
                                                        46, 46, 47, 44, 46, 46}, HORIZ,    0,   FOUR_BYTE,   "Large block platforms"},
{0,           0xE0,     0xEF,     8,        8,         {41, 42, 42, 42, 42, 42, 42, 43,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        48, 49, 49, 49, 49, 49, 49, 50,
                                                        44, 46, 46, 46, 46, 46, 46, 47,
                                                        42, 42, 42, 43, 41, 42, 42, 42,
                                                        49, 49, 49, 50, 48, 49, 49, 49,
                                                        49, 49, 49, 50, 48, 49, 49, 49,
                                                        46, 46, 46, 47, 44, 46, 46, 46},   HORIZ,    0,   FOUR_BYTE, "X-Large Block Platforms"},
{0,           0xF0,     0xFF,     3,        1,         {83, 84, 85},                       HORIZ,    3,   THREE_BYTE,"Ice blue platform"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {86},                     VERTICAL, 0,   THREE_BYTE,   "Vertical background pole"},
{3,           0x20,     0x2F,     1,        1,         {87},                     HORIZ,    0,   THREE_BYTE,   "Background coconuts"},
{3,           0x30,     0x3F,     1,        1,         {88},                    HORIZ,    0,   THREE_BYTE,    "Floor spikes"},
{3,           0x40,     0x4F,     1,        1,         {89},                     HORIZ,    0,   THREE_BYTE,    "Ceiling spikes"},
{3,           0x50,     0x5F,     1,        1,         {90},                     HORIZ,    0,   THREE_BYTE,   "Square sandstone blocks"},
{3,           0x60,     0x6F,     1,        1,         {91},                     HORIZ,    0,   THREE_BYTE,   "Cloud platform"},
{3,           0x70,     0x7F,     1,        1,         {92},                     VERTICAL, 0,   THREE_BYTE,   "Background Chains A"},
{3,           0x80,     0x8F,     1,        1,         {93},                     VERTICAL, 0,   THREE_BYTE,   "Background Chains B"},
{3,           0x90,     0x9F,     1,        1,         {94},                     HORIZ,  0,   THREE_BYTE,   "Horizontal Plain Background A (used to block out stuff)"},
{3,           0xA0,     0xAF,     8,       4,          {95, 96, 96, 96, 96, 96, 96, 96,
                                                        97, 94, 94, 94, 94, 94, 94, 94,
                                                        97, 94, 94, 94, 94, 94, 94, 94,
                                                        97, 94, 94, 94, 94, 94, 94, 94},  PIPEBOX,  0,   THREE_BYTE,   "Pipe Boxes A"},
{3,           0xB0,     0xBF,     1,        1,         {94},                     VERTICAL,  0,   THREE_BYTE,   "Vertical Plain Background (used to block out stuff)"},
{3,           0xC0,     0xCF,     1,        1,         {94},                     HORIZ,  0,   THREE_BYTE,   "Horizontal Plain Background B (used to block out stuff)"},
{3,           0xD0,     0xDF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,    "Weird"},
{3,           0xE0,     0xEF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0xF0,     0xFF,     1,        1,         {147},                    DUMMY,    0,   THREE_BYTE,   "CAUTION: Screws Up Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     7,        5,         {95, 96, 96, 96, 96, 96, 96,
                                                        97, 94, 94, 94, 94, 94, 94,
                                                        97, 94, 94, 94, 94, 94, 94,
                                                        97, 94, 94, 94, 94, 94, 94,
                                                        97, 94, 94, 94, 94, 94, 94},  PIPEBOX,    0,   THREE_BYTE,   "Pipe Boxes B"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                        WATER/PIPE LEVELS - SET 8                         //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     2,        2,         {38, 39,
                                                        40, 41},               DUMMY,     0,   THREE_BYTE,   "Upper-left corner of curved pipe"},
{0,           0x01,     0x01,     2,        2,         {42, 43,
                                                        40, 41},               DUMMY,     0,   THREE_BYTE,   "Upper-right corner of curved pipe"},
{0,           0x02,     0x02,     2,        2,         {42, 39,
                                                        44, 41},               DUMMY,     0,   THREE_BYTE,   "Lower-left corner of curved pipe"},
{0,           0x03,     0x03,     2,        2,         {42, 39,
                                                        40, 46},               DUMMY,     0,   THREE_BYTE,   "Lower-right corner of curved pipe"},
{0,           0x04,     0x04,     2,        1,         {47, 48},               DUMMY,     0,   THREE_BYTE,   "Upward directional platform"},
{0,           0x05,     0x05,     2,        1,         {49, 50},               DUMMY,     0,   THREE_BYTE,   "Rightward directional platform"},
{0,           0x06,     0x06,     2,        1,         {51, 52},               DUMMY,     0,   THREE_BYTE,   "Leftward directional platform"},
{0,           0x07,     0x07,     2,        1,         {53, 54},               DUMMY,     0,   THREE_BYTE,   "Multi-directional directional platform"},
{0,           0x08,     0x08,     1,        1,         {55},                   DUMMY,     0,   THREE_BYTE,   "Weird blue background"},
{0,           0x09,     0x09,     1,        1,         {148},                  DUMMY,    0,   THREE_BYTE,   "Weird black background"},
{0,           0x0A,     0x0A,     1,        2,         {45,
                                                        151},                    DUMMY,    0,   THREE_BYTE,   "Door"},
{0,           0x0B,     0x0B,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x0C,     0x0C,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Black background for pipe levels"},
{0,           0x0D,     0x0D,     1,        2,         {56,
                                                        55},                    DUMMY,    0,   THREE_BYTE,   "Water - Lasts whole level"},
{0,           0x0E,     0x0E,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x0F,     0x0F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x10,     0x1F,     2,        3,         {57, 58,
                                                        59, 60,
                                                        57, 58},                 VERTICAL, 3,   THREE_BYTE,   "Double-ended pipe"},
{0,           0x20,     0x2F,     2,        2,         {61, 62,
                                                        63, 64},                 HORIZ,    1,   THREE_BYTE,   "Rightward pipe"},
{0,           0x30,     0x3F,     2,        2,         {62, 61,
                                                        64, 63},                 HORIZ,    2,   THREE_BYTE,   "Leftward pipe"},
{0,           0x40,     0x4F,     2,        2,         {65, 66,
                                                        67, 68},                 VERTICAL, 1,   THREE_BYTE,   "Downward background pipe"},
{0,           0x50,     0x5F,     1,        3,         {69,
                                                        70,
                                                        71},                     VERTICAL, 3,   THREE_BYTE,   "Small vertical background pipe"},
{0,           0x60,     0x6F,     2,        2,         {72, 73,
                                                        74, 75},                 HORIZ,    1,   THREE_BYTE,   "Rightward background pipe"},
{0,           0x70,     0x7F,     2,        2,         {73, 72,
                                                        75, 74},                 HORIZ,    2,   THREE_BYTE,   "Leftward background pipe"},
{0,           0x80,     0x8F,     3,        1,         {76, 77, 78},             HORIZ,    3,   THREE_BYTE,   "Small horizontal background pipe"},
{0,           0x90,     0x9F,     1,        1,         {146},                    HORIZ,    0,   THREE_BYTE,   "Nothing???"},
{0,           0xA0,     0xAF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xB0,     0xBF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xC0,     0xCF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xD0,     0xDF,     1,        2,         {80,
                                                        79},                     VERTICAL, 1,   THREE_BYTE,   "Background Aquatic Plants"},
{0,           0xE0,     0xEF,     1,        1,         {81},                     VERTICAL, 0,   THREE_BYTE,   "Vertically Oriented Donut Blocks"},
{0,           0xF0,     0xFF,     1,        1,         {82},                     HORIZ,    0,   THREE_BYTE,   "Ceiling spikes"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird Background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     2,        2,         {59, 60,
                                                        57, 58},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe"},
{3,           0x20,     0x2F,     2,        2,         {61, 62,
                                                        63, 64},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe"},
{3,           0x30,     0x3F,     1,        2,         {55,
                                                        55},                     HORIZ,    0,   THREE_BYTE,   "Water - 2 blocks high"},
{3,           0x40,     0x4F,     3,        3,         {83, 84, 85,
                                                        86, 87, 88,
                                                        86, 87, 88},             GD_EXT,   3,   THREE_BYTE,   "Gray platform"},
{3,           0x50,     0x5F,     3,        2,         {89, 90, 91,
                                                        92, 93, 94},             HORIZ,    3,   FOUR_BYTE,    "Orange Block Platform"},
{3,           0x60,     0x6F,     1,        1,         {55},                     HORIZ,    0,   THREE_BYTE,   "Water - Horizontally Oriented"},
{3,           0x70,     0x7F,     1,        1,         {55},                     VERTICAL, 0,   THREE_BYTE,   "Water - Vertically Oriented"},
{3,           0x80,     0x8F,     1,        1,         {95},                     HORIZ,    0,   THREE_BYTE,   "Jelectros"},
{3,           0x90,     0x9F,     3,        1,         {96, 97, 121},            HORIZ,    3,   THREE_BYTE,   "Double Ended Small Horizontal Pipe"},
{3,           0xA0,     0xAF,     1,        1,         {81},                     HORIZ,    0,   THREE_BYTE,   "Horizontally Oriented Donut Blocks"},
{3,           0xB0,     0xBF,     1,        1,         {122},                    HORIZ,    0,   THREE_BYTE,   "Donut Blocks"},
{3,           0xC0,     0xCF,     1,        1,         {123},                    HORIZ,    0,   THREE_BYTE,   "Floor Spikes"},
{3,           0xD0,     0xDF,     1,        2,         {56,
                                                        55},                     HORIZ,    0,   FOUR_BYTE,    "Water"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                          GIANT LEVELS - SET 9                            //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        1,         {38},                   DUMMY,     0,   THREE_BYTE,   "Piranha Plant Muncher A"},
{0,           0x01,     0x01,     1,        1,         {39},                   DUMMY,     0,   THREE_BYTE,   "Piranha Plant Muncher B"},
{0,           0x02,     0x02,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x03,     0x03,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x04,     0x04,     1,        1,         {146},                  DUMMY,     0,   THREE_BYTE,   "Nothing???"},
{0,           0x05,     0x05,     7,        4,         {149, 149, 149, 43, 149, 149, 149,
                                                        149, 149, 40, 41, 42, 149, 149,
                                                        149, 40, 41, 41, 41, 42, 149,
                                                        40, 41, 41, 41, 41, 41, 42},   DUMMY,     0,   THREE_BYTE,   "Background Mountain"},
{0,           0x06,     0x06,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x07,     0x07,     1,        1,         {148},                  DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x08,     0x08,     1,        1,         {146},                   DUMMY,     0,   THREE_BYTE,   "Nothing???"},
{0,           0x09,     0x09,     1,        1,         {146},                  DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0A,     0x0A,     1,        1,         {146},                  DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0B,     0x0B,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0C,     0x0C,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0D,     0x0D,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0E,     0x0E,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x0F,     0x0F,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{0,           0x10,     0x1F,     2,        2,         {46, 47,
                                                        44, 48},                 HORIZ,    0,   THREE_BYTE,   "Giant cloud platform"},
{0,           0x20,     0x2F,     2,        2,         {49, 50,
                                                        51, 52},                 HORIZ,    0,   THREE_BYTE,   "Giant bricks"},
{0,           0x30,     0x3F,     2,        2,         {53, 54,
                                                        55, 56},                 HORIZ,    0,   THREE_BYTE,   "Giant '?' blocks with coins"},
{0,           0x40,     0x4F,     2,        2,         {57, 58,
                                                        59, 60},                 HORIZ,    0,   THREE_BYTE,   "Giant '?' blocks with leafs"},
{0,           0x50,     0x5F,     2,        2,         {86, 87,
                                                        88, 89},                 HORIZ,    0,   THREE_BYTE,   "Giant Wooden Blocks"},
{0,           0x60,     0x6F,     2,        2,         {61, 62,
                                                        63, 64},                 HORIZ,    0,   THREE_BYTE,   "Giant Metal Blocks"},
{0,           0x70,     0x7F,     2,        2,         {65, 66,
                                                        67, 68},                 HORIZ,    0,   THREE_BYTE,   "Giant Ground"},
{0,           0x80,     0x8F,     3,        3,         {69, 70, 71,
                                                        72, 73, 74,
                                                        75, 76, 77},             VERTICAL, 1,   THREE_BYTE,   "Giant Downward Pipe"},
{0,           0x90,     0x9F,     2,        2,         {78, 79,
                                                        80, 81},                 VERTICAL, 0,   THREE_BYTE,   "Giant Underwater Coral"},
{0,           0xA0,     0xAF,     1,        2,         {82,
                                                        83},                     VERTICAL, 1,   THREE_BYTE,   "Piranha Plant Small Downward Pipe A"},
{0,           0xB0,     0xBF,     1,        2,         {84,
                                                        85},                     VERTICAL, 1,   THREE_BYTE,   "Piranha Plant Small Downward Pipe B"},
{0,           0xC0,     0xCF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xD0,     0xDF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0xE0,     0xEF,     1,        1,         {148},                    DUMMY,    0,   FOUR_BYTE,    "Weird"},
{0,           0xF0,     0xFF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {133,
                                                        134},                    HORIZ,    0,   FOUR_BYTE,   "Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {141},                     HORIZ,    0,   FOUR_BYTE,   "Blue X-blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        2,         {94,
                                                        96},                     HORIZ,    0,   FOUR_BYTE,   "Weird Giant Bricks"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {148},                    DUMMY,    0,   FOUR_BYTE,    "Weird"},
{3,           0x20,     0x2F,     1,        1,         {148},                    DUMMY,    0,   FOUR_BYTE,    "Weird"},
{3,           0x30,     0x3F,     1,        2,         {36,
                                                        37},                     HORIZ,    0,   THREE_BYTE,   "Horizontal no-ended pipe"},
{3,           0x40,     0x4F,     1,        1,         {149},                    HORIZ,    0,   FOUR_BYTE,    "Gap"},
{3,           0x50,     0x5F,     2,        2,         {30, 31,
                                                        90, 91},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe to End of Level"},
{3,           0x60,     0x6F,     2,        2,         {92, 36,
                                                        93, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe to End of Level"},
{3,           0x70,     0x7F,     1,        2,         {121,
                                                        122},                    HORIZ,    0,   FOUR_BYTE,    "Lava"},
{3,           0x80,     0x8F,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???  (Mario Allstars Only)"},
{3,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                           ICE LEVELS - SET 10                            //
//**************************************************************************//
{

//obj_domain  min_value max_value bmp_width bmp_height obj_design              orientation ends obj_flag obj_descript
{0,           0x00,     0x00,     1,        1,         {148},                   DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x01,     0x01,     1,        1,         {148},                   DUMMY,     0,   THREE_BYTE,   "Weird"},
{0,           0x02,     0x02,     1,        1,         {148},                   DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x03,     0x03,     1,        1,         {148},                   DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x04,     0x04,     1,        1,         {38},                    GD_EXT,    0,   THREE_BYTE,   "Wooden Background Pole"},
{0,           0x05,     0x05,     1,        2,         {45,
                                                        151},                    DUMMY,    0,   THREE_BYTE,   "Door"},
{0,           0x06,     0x06,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x07,     0x07,     1,        1,         {39},                     DUMMY,    0,   THREE_BYTE,   "Blue gear"},
{0,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{0,           0x10,     0x1F,     3,        2,         {68, 69, 70,
                                                        153, 153, 153},          HORIZ,    3,   FOUR_BYTE,    "Icy flat ground"},
{0,           0x20,     0x2F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x30,     0x3F,     3,        2,         {43, 44, 46,
                                                        40, 41, 42},             HORIZ,    3,   THREE_BYTE,   "Green topped wooden platform"},
{0,           0x40,     0x4F,     1,        2,         {47,
                                                        49},                     HORIZ,    0,   THREE_BYTE,   "Top of snowy platform"},
{0,           0x50,     0x5F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x60,     0x6F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{0,           0x70,     0x7F,     3,        3,         {48, 49, 50,
                                                        51, 52, 53,
                                                        51, 52, 53},             GD_EXT,   3,   THREE_BYTE,   "Snowy Platform"},
{0,           0x80,     0x8F,     1,        1,         {54},                     HORIZ,    0,   THREE_BYTE,   "Horizontal platform wire"},
{0,           0x90,     0x9F,     1,        1,         {55},                     VERTICAL, 0,   THREE_BYTE,   "Vertical platform wire"},
{0,           0xA0,     0xAF,     1,        1,         {56},                     DIAG_DR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Down/Right"},
{0,           0xB0,     0xBF,     1,        1,         {57},                     DIAG_UR,  0,   THREE_BYTE,   "45 Degree Platform Wire - Up/Right"},
{0,           0xC0,     0xCF,     3,        2,         {58, 59, 60,
                                                        61, 62, 63},             HORIZ,    3,   THREE_BYTE,   "Background clouds"},
{0,           0xD0,     0xDF,     1,        2,         {64,
                                                        65},                     DIAG_DR,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Right"},
{0,           0xE0,     0xEF,     1,        2,         {66,
                                                        67},                     DIAG_DL,  0,   THREE_BYTE,   "60 Degree Platform Wire - Down/Left"},
{0,           0xF0,     0xFF,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird ice platform"},
{1,           0x00,     0x00,     1,        1,         {0},                      DUMMY,    0,   THREE_BYTE,   "'?' with flower"},
{1,           0x01,     0x01,     1,        1,         {1},                      DUMMY,    0,   THREE_BYTE,   "'?' with leaf"},
{1,           0x02,     0x02,     1,        1,         {2},                      DUMMY,    0,   THREE_BYTE,   "'?' with star"},
{1,           0x03,     0x03,     1,        1,         {3},                      DUMMY,    0,   THREE_BYTE,   "'?' with continuous star"},
{1,           0x04,     0x04,     1,        1,         {4},                      DUMMY,    0,   THREE_BYTE,   "'?' with single coin"},
{1,           0x05,     0x05,     1,        1,         {5},                      DUMMY,    0,   THREE_BYTE,   "Muncher"},
{1,           0x06,     0x06,     1,        1,         {6},                      DUMMY,    0,   THREE_BYTE,   "Brick with Flower"},
{1,           0x07,     0x07,     1,        1,         {7},                      DUMMY,    0,   THREE_BYTE,   "Brick with Leaf"},
{1,           0x08,     0x08,     1,        1,         {8},                      DUMMY,    0,   THREE_BYTE,   "Brick with Star"},
{1,           0x09,     0x09,     1,        1,         {9},                      DUMMY,    0,   THREE_BYTE,   "Brick with Continuous Star"},
{1,           0x0A,     0x0A,     1,        1,         {10},                     DUMMY,    0,   THREE_BYTE,   "Multi-Coin Brick"},
{1,           0x0B,     0x0B,     1,        1,         {11},                     DUMMY,    0,   THREE_BYTE,   "Brick with 1-up"},  
{1,           0x0C,     0x0C,     1,        1,         {12},                     DUMMY,    0,   THREE_BYTE,   "Brick with Vine"},
{1,           0x0D,     0x0D,     1,        1,         {13},                     DUMMY,    0,   THREE_BYTE,   "Brick with P-Switch"},
{1,           0x0E,     0x0E,     1,        1,         {14},                     DUMMY,    0,   THREE_BYTE,   "Invisible Coin"},
{1,           0x0F,     0x0F,     1,        1,         {15},                     DUMMY,    0,   THREE_BYTE,   "Invisible 1-up"},
{1,           0x10,     0x1F,     1,        1,         {16},                     HORIZ,    0,   THREE_BYTE,   "Bricks"},
{1,           0x20,     0x2F,     1,        1,         {17},                     HORIZ,    0,   THREE_BYTE,   "'?' blocks with single coins"},                                                     
{1,           0x30,     0x3F,     1,        1,         {18},                     HORIZ,    0,   THREE_BYTE,   "Bricks with single coins"},
{1,           0x40,     0x4F,     1,        1,         {19},                     HORIZ,    0,   THREE_BYTE,   "Wooden blocks"},  
{1,           0x50,     0x5F,     1,        1,         {20},                     HORIZ,    0,   THREE_BYTE,   "Colored Note Blocks - movable four directions"},
{1,           0x60,     0x6F,     1,        1,         {21},                     HORIZ,    0,   THREE_BYTE,   "Note Blocks - movable two directions"},
{1,           0x70,     0x7F,     1,        1,         {22},                     HORIZ,    0,   THREE_BYTE,   "Wooden Blocks - Movable"},
{1,           0x80,     0x8F,     1,        1,         {23},                     HORIZ,    0,   THREE_BYTE,   "Coins"},        
{1,           0x90,     0x9F,     2,        2,         {24, 25,         
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xA0,     0xAF,     2,        2,         {26, 27,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN'T go down)"},
{1,           0xB0,     0xBF,     2,        2,         {28, 29,
                                                        30, 31},                 VERTICAL, 1,   THREE_BYTE,   "Downward Pipe (CAN go down)"},
{1,           0xC0,     0xCF,     2,        2,         {30, 31,
                                                        32, 33},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN go up)"},
{1,           0xD0,     0xDF,     2,        2,         {30, 31,
                                                        26, 27},                 VERTICAL, 2,   THREE_BYTE,   "Upward Pipe (CAN'T go up)"},     
{1,           0xE0,     0xEF,     2,        2,         {34, 36,  
                                                        35, 37},                 HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN go in)"},
{1,           0xF0,     0xFF,     2,        2,         {111, 36,
                                                        112, 37},                HORIZ,    1,   THREE_BYTE,   "Rightward Pipe (CAN'T go in)"},
{2,           0x00,     0x00,     1,        1,         {98},                     DUMMY,    0,   THREE_BYTE,   "Invisible Note Block"},
{2,           0x01,     0x01,     1,        1,         {99},                     DUMMY,    0,   THREE_BYTE,   "Note Block with Flower"},
{2,           0x02,     0x02,     1,        1,         {100},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Leaf"},
{2,           0x03,     0x03,     1,        1,         {101},                    DUMMY,    0,   THREE_BYTE,   "Note Block with Star"},
{2,           0x04,     0x04,     1,        1,         {102},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Flower"},
{2,           0x05,     0x05,     1,        1,         {103},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Leaf"},
{2,           0x06,     0x06,     1,        1,         {104},                    DUMMY,    0,   THREE_BYTE,   "Wooden Block with Star"},
{2,           0x07,     0x07,     1,        1,         {105},                    DUMMY,    0,   THREE_BYTE,   "Red Invisible Note Block"},
{2,           0x08,     0x08,     1,        1,         {106},                    DUMMY,    0,   THREE_BYTE,   "P-Switch"},
{2,           0x09,     0x09,     2,        1,         {107, 108},               DUMMY,    0,   THREE_BYTE,   "Level Ending"},
{2,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{2,           0x10,     0x1F,     2,        2,         {36, 109,
                                                        37, 110},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN go in)"},
{2,           0x20,     0x2F,     2,        2,         {36, 111,
                                                        37, 112},                HORIZ,    2,   THREE_BYTE,   "Leftward Pipe (CAN'T go in)"},
{2,           0x30,     0x3F,     1,        3,         {113,
                                                        114,
                                                        115},                    VERTICAL, 1,   THREE_BYTE,   "Bullet Bill Machine"},
{2,           0x40,     0x4F,     1,        1,         {116},                    HORIZ,    0,   THREE_BYTE,   "Bridge"},
{2,           0x50,     0x5F,     1,        1,         {117},                    HORIZ,    0,   THREE_BYTE,   "Silver Coins (appear when you hit a P-Switch)"},
{2,           0x60,     0x6F,     1,        2,         {79,
                                                        80},                     HORIZ,    0,   FOUR_BYTE,   "Weird Waterfall"},
{2,           0x70,     0x7F,     1,        2,         {135,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to left)"},
{2,           0x80,     0x8F,     1,        2,         {137,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (still)"},
{2,           0x90,     0x9F,     1,        2,         {138,
                                                        136},                    HORIZ,    0,   FOUR_BYTE,   "Water (Moves to right)"},
{2,           0xA0,     0xAF,     1,        2,         {139,
                                                        140},                    HORIZ,    0,   FOUR_BYTE,   "Background used in Bowser's Castle"},
{2,           0xB0,     0xBF,     1,        1,         {84},                     HORIZ,    0,   FOUR_BYTE,   "Blue Wooden Blocks"},
{2,           0xC0,     0xCF,     1,        2,         {142,
                                                        143},                    HORIZ,    0,   FOUR_BYTE,   "Wierd Quicksand (doesn't act like it)"},
{2,           0xD0,     0xDF,     1,        1,         {148},                    HORIZ,    0,   FOUR_BYTE,   "Weird background"},
{2,           0xE0,     0xEF,     1,        1,         {118},                    HORIZ,    0,   THREE_BYTE,   "White Turtle Bricks"},
{2,           0xF0,     0xFF,     2,        3,         {119, 120,
                                                        30, 31,
                                                        119, 120},               VERTICAL, 3,   THREE_BYTE,   "Double-Ended Vertical Pipe"},
{3,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0x10,     0x1F,     1,        1,         {71},                     HORIZ,    0,   THREE_BYTE,   "Ice Blocks"},
{3,           0x20,     0x2F,     1,        1,         {72},                     HORIZ,    0,   THREE_BYTE,   "Frozen Munchers"},
{3,           0x30,     0x3F,     1,        1,         {73},                     HORIZ,    0,   THREE_BYTE,   "Frozen Coins"},
{3,           0x40,     0x4F,     1,        1,         {74},                     HORIZ,    0,   THREE_BYTE,   "Donut Blocks"},
{3,           0x50,     0x5F,     1,        1,         {81},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Left"},
{3,           0x60,     0x6F,     1,        1,         {82},                     HORIZ,    0,   THREE_BYTE,   "Conveyor Belt - Moves Right"},
{3,           0x70,     0x7F,     1,        1,         {83},                     HORIZ,    0,   THREE_BYTE,   "Jelectros"},
{3,           0x80,     0x8F,     2,        2,         {75, 76,
                                                        77, 78},                 HORIZ,    0,   THREE_BYTE,   "Large Ice Blocks"},
{3,           0x90,     0x9F,     1,        1,         {148},                    DUMMY,    0,   THREE_BYTE,   "Weird"},
{3,           0xA0,     0xAF,     1,        2,         {85,
                                                        153},                    HORIZ,    0,   FOUR_BYTE,    "Munchers"},
{3,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{3,           0xF0,     0xFF,     1,        1,         {146},                    DUMMY,    0,   THREE_BYTE,   "Nothing???"},
{4,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{4,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{5,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x00,     0x00,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x01,     0x01,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x02,     0x02,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x03,     0x03,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x04,     0x04,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x05,     0x05,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x06,     0x06,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x07,     0x07,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x08,     0x08,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x09,     0x09,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0A,     0x0A,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0B,     0x0B,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0C,     0x0C,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0D,     0x0D,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0E,     0x0E,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x0F,     0x0F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x10,     0x1F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x20,     0x2F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x30,     0x3F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x40,     0x4F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x50,     0x5F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x60,     0x6F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x70,     0x7F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x80,     0x8F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0x90,     0x9F,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xA0,     0xAF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xB0,     0xBF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xC0,     0xCF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xD0,     0xDF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xE0,     0xEF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{6,           0xF0,     0xFF,     1,        1,         {145},                    DUMMY,    0,   THREE_BYTE,   "WARNING: Crashes Game"},
{7,           0x00,     0x00,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x01,     0x01,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x02,     0x02,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x03,     0x03,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x04,     0x04,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x05,     0x05,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x06,     0x06,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x07,     0x07,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x08,     0x08,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x09,     0x09,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0A,     0x0A,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0B,     0x0B,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0C,     0x0C,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0D,     0x0D,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0E,     0x0E,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x0F,     0x0F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x10,     0x1F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x20,     0x2F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x30,     0x3F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x40,     0x4F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x50,     0x5F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x60,     0x6F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x70,     0x7F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x80,     0x8F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0x90,     0x9F,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xA0,     0xAF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xB0,     0xBF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xC0,     0xCF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xD0,     0xDF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xE0,     0xEF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"},
{7,           0xF0,     0xFF,     1,        1,         {150},                    DUMMY,    0,   THREE_BYTE,   "Pointer (press <ENTER> for properties)"}
},
//**************************************************************************//
//                            ENEMIES/SPRITES                               //
//**************************************************************************//
{
{0,           0x00,       0x00,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x01,       0x01,   1,         1,        {148},                    DUMMY,      0,   THREE_BYTE,  "Weird Enemy"},
{0,           0x02,       0x02,   1,         1,        {148},                    DUMMY,      0,   THREE_BYTE,  "Makes you bounce at beginning of level"},
{0,           0x03,       0x03,   1,         1,        {146},                    DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x04,       0x04,   1,         1,        {148},                    DUMMY,      0,   THREE_BYTE,  "Weird enemy"},
{0,           0x05,       0x05,   1,         1,        {148},                    DUMMY,      0,   THREE_BYTE,  "Weird enemy"},
{0,           0x06,       0x06,   1,         1,        {20},                    DUMMY,      0,   THREE_BYTE,  "Colored note block"},
{0,           0x07,       0x07,   1,         1,        {146},                    DUMMY,      0,   THREE_BYTE,  "Mushroom House with Warp Whistle entrance"},
{0,           0x08,       0x08,   1,         2,        {42,
                                                        43},                    DUMMY,      0,   THREE_BYTE,  "Invisible door (appears when you hit a P-switch)"},
{0,           0x09,       0x09,   3,         2,        {70, 3, 70,
                                                        0,  1, 2},                    DUMMY,      0,   THREE_BYTE,  "Ship Anchor"},
{0,           0x0A,       0x0A,   1,         1,        {148},                   DUMMY,      0,   THREE_BYTE,  "Weird enemy"},
{0,           0x0B,       0x0B,   1,         1,        {4},                   DUMMY,      0,   THREE_BYTE,  "Stray 1-up"},
{0,           0x0C,       0x0C,   1,         1,        {5},                   DUMMY,      0,   THREE_BYTE,  "Stray Star"},
{0,           0x0D,       0x0D,   1,         1,        {6},                  DUMMY,      0,   THREE_BYTE,  "Stray Mushroom"},
{0,           0x0E,       0x0E,   2,         2,        {7, 8,
                                                        23, 24},                  DUMMY,      0,   THREE_BYTE,  "World x Boss (where x = world)"},
{0,           0x0F,       0x0F,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x10,       0x10,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x11,       0x11,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x12,       0x12,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x13,       0x13,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x14,       0x14,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x15,       0x15,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x16,       0x16,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x17,       0x17,   1,         1,        {9},                    DUMMY,      0,   THREE_BYTE,  "Spiny Cheep-Cheep"},
{0,           0x18,       0x18,   2,         3,        {32, 33,
                                                        48, 49,
                                                        64, 65},                  DUMMY,      0,   THREE_BYTE,  "Bowser"},
{0,           0x19,       0x19,   1,         1,        {19},                  DUMMY,      0,   THREE_BYTE,  "Stray Flower"},
{0,           0x1A,       0x1A,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "Weird"},
{0,           0x1B,       0x1B,   1,         1,        {20},                  DUMMY,      0,   THREE_BYTE,  "Colored note block"},
{0,           0x1C,       0x1C,   1,         1,        {6},                  DUMMY,      0,   THREE_BYTE,  "Stray Mushroom"},
{0,           0x1D,       0x1D,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x1E,       0x1E,   1,         1,        {21},                  DUMMY,      0,   THREE_BYTE,  "Stray Leaf"},
{0,           0x1F,       0x1F,   1,         1,        {25},                  DUMMY,      0,   THREE_BYTE,  "Stray Vine"},
{0,           0x20,       0x20,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x21,       0x21,   1,         1,        {10},                  DUMMY,      0,   THREE_BYTE,  "Flashing Mushroom"},
{0,           0x22,       0x22,   1,         1,        {11},                  DUMMY,      0,   THREE_BYTE,  "Flashing Flower"},
{0,           0x23,       0x23,   1,         1,        {12},                  DUMMY,      0,   THREE_BYTE,  "Flashing Star"},
{0,           0x24,       0x24,   3,         1,        {38, 39, 40},                  DUMMY,      0,   THREE_BYTE,  "Leftward-moving cloud platform (fast)"},
{0,           0x25,       0x25,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x26,       0x26,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Still wooden platform (moves right when stepped on)"},
{0,           0x27,       0x27,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wooden platform - moves back and forth (a lot)"},
{0,           0x28,       0x28,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wooden platform - moves up and down (a lot)"},
{0,           0x29,       0x29,   1,         1,        {37},                  DUMMY,      0,   THREE_BYTE,  "Spike"},
{0,           0x2A,       0x2A,   1,         2,        {50,
                                                        66},                  DUMMY,      0,   THREE_BYTE,  "Ptooie"},
{0,           0x2B,       0x2B,   1,         2,        {51,
                                                        67},                  DUMMY,      0,   THREE_BYTE,  "Kuribo's Goomba"},
{0,           0x2C,       0x2C,   3,         1,        {38, 39, 40},                  DUMMY,      0,   THREE_BYTE,  "Leftward-moving cloud platform (slow)"},
{0,           0x2D,       0x2D,   2,         2,        {52, 53,
                                                        68, 69},                  DUMMY,      0,   THREE_BYTE,  "Boss Bass (surface)"},
{0,           0x2E,       0x2E,   2,         1,        {54, 54},                  DUMMY,      0,   THREE_BYTE,  "Upward-moving Circle Block platform"},
{0,           0x2F,       0x2F,   1,         1,        {41},                  DUMMY,      0,   THREE_BYTE,  "Boo Buddy"},
{0,           0x30,       0x30,   1,         1,        {88},                  DUMMY,      0,   THREE_BYTE,  "Hot Foot"},
{0,           0x31,       0x31,   1,         1,        {45},                  DUMMY,      0,   THREE_BYTE,  "Top Stretch"},
{0,           0x32,       0x32,   1,         1,        {46},                  DUMMY,      0,   THREE_BYTE,  "Bottom Stretch"},
{0,           0x33,       0x33,   1,         1,        {47},                  DUMMY,      0,   THREE_BYTE,  "Nipper Plant"},
{0,           0x34,       0x34,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "Toad & Message"},
{0,           0x35,       0x35,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "Automatically Clear Stage"},
{0,           0x36,       0x36,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wooden platform - moves left, falls when stepped on"},
{0,           0x37,       0x37,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wooden platform - moves back and forth (a little)"},
{0,           0x38,       0x38,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wooden platform - moves up and down (a little)"},
{0,           0x39,       0x39,   1,         1,        {47},                  DUMMY,      0,   THREE_BYTE,  "Walking Nipper Plant"},
{0,           0x3A,       0x3A,   2,         1,        {54, 54},                  DUMMY,      0,   THREE_BYTE,  "Falling Circle Block platform"},
{0,           0x3B,       0x3B,   1,         1,        {72},                  DUMMY,      0,   THREE_BYTE,  "Surface Cheep-Cheep (swims along surface)"},
{0,           0x3C,       0x3C,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Wired platform (follows platform wires)"},
{0,           0x3D,       0x3D,   1,         1,        {47},                  DUMMY,      0,   THREE_BYTE,  "Walking Ptooie (spits fireballs)"},
{0,           0x3E,       0x3E,   3,         1,        {55, 56, 57},                  DUMMY,      0,   THREE_BYTE,  "Floating platform (floats in water)"},
{0,           0x3F,       0x3F,   1,         2,        {80,
                                                        96},                  DUMMY,      0,   THREE_BYTE,  "Dry Bones"},
{0,           0x40,       0x40,   1,         1,        {81},                   DUMMY,      0,   THREE_BYTE,  "Buster Beetle"},
{0,           0x41,       0x41,   1,         1,        {82},                   DUMMY,      0,   THREE_BYTE,  "Goal Card"},
{0,           0x42,       0x42,   1,         1,        {72},                  DUMMY,      0,   THREE_BYTE,  "Jumping Cheep-Cheep (3 jumps, up and right)"},
{0,           0x43,       0x43,   1,         1,        {72},                   DUMMY,      0,   THREE_BYTE,  "Jumping Cheep-Cheep (2 jumps, down and right)"},
{0,           0x44,       0x44,   3,         1,        {55, 56, 57},                   DUMMY,      0,   THREE_BYTE,  "Falling Platform (falls when stepped on)"},
{0,           0x45,       0x45,   1,         1,        {88},                   DUMMY,      0,   THREE_BYTE,  "Smart Hot Foot"},
{0,           0x46,       0x46,   2,         2,        {89, 90,
                                                        105, 106},                   DUMMY,      0,   THREE_BYTE,  "Pipe Ptooie"},
{0,           0x47,       0x47,   1,         1,        {146},                   DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x48,       0x48,   1,         1,        {91},                   DUMMY,      0,   THREE_BYTE,  "Baby Cheep Cheep"},
{0,           0x49,       0x49,   2,         1,        {92, 93},                   DUMMY,      0,   THREE_BYTE,  "Background cloud"},
{0,           0x4A,       0x4A,   1,         1,        {94},                   DUMMY,      0,   THREE_BYTE,  "Magic Ball"},
{0,           0x4B,       0x4B,   2,         2,        {97, 98,
                                                        113, 114},                   DUMMY,      0,   THREE_BYTE,  "Boom Boom"},
{0,           0x4C,       0x4C,   1,         2,        {99,
                                                        115},                  DUMMY,      0,   THREE_BYTE,  "Flying Boom Boom"},
{0,           0x4D,       0x4D,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x4E,       0x4E,   1,         1,        {146},                   DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x4F,       0x4F,   1,         1,        {206},                   DUMMY,      0,   THREE_BYTE,  "Jumping Chomp"},
{0,           0x50,       0x50,   1,         1,        {104},                   DUMMY,      0,   THREE_BYTE,  "Bob-Omb (about to blow up)"},
{0,           0x51,       0x51,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Double Rotodisc (rotate counterclockwise)"},
{0,           0x52,       0x52,   1,         1,        {102},                   DUMMY,      0,   THREE_BYTE,  "Treasure Chest"},
{0,           0x53,       0x53,   1,         1,        {103},                   DUMMY,      0,   THREE_BYTE,  "Stray Podoboo"},
{0,           0x54,       0x54,   1,         1,        {148},                   DUMMY,      0,   THREE_BYTE,  "Weird Block"},
{0,           0x55,       0x55,   1,         1,        {104},                  DUMMY,      0,   THREE_BYTE,  "Bob-Omb"},
{0,           0x56,       0x56,   2,         1,        {107, 108},                   DUMMY,      0,   THREE_BYTE,  "Leftward Piranha Plant"},
{0,           0x57,       0x57,   2,         1,        {109, 110},                   DUMMY,      0,   THREE_BYTE,  "Rightward Piranha Plant"},
{0,           0x58,       0x58,   1,         1,        {111},                   DUMMY,      0,   THREE_BYTE,  "Fire Chomp"},
{0,           0x59,       0x59,   1,         3,        {112,
                                                        128,
                                                        144},                   DUMMY,      0,   THREE_BYTE,  "Fire Snake"},
{0,           0x5A,       0x5A,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Single Rotodisc (rotate clockwise)"},
{0,           0x5B,       0x5B,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Single Rotodisc (rotate counterclockwise)"},
{0,           0x5C,       0x5C,   1,         1,        {148},                   DUMMY,      0,   THREE_BYTE,  "Instantly broken brick"},
{0,           0x5D,       0x5D,   4,         8,        {118, 118, 118, 118,
                                                        118, 118, 118, 118,
                                                        118, 118, 118, 70,
                                                        70, 118, 118, 118,
                                                        70, 118, 118, 70,
                                                        70, 118, 118, 70,
                                                        70, 70, 118, 70,
                                                        70, 118, 70, 70},                   DUMMY,      0,   THREE_BYTE,  "Tornado"},
{0,           0x5E,       0x5E,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Double Rotodisc (rotate both ways, starting at sides)"},
{0,           0x5F,       0x5F,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Double Rotodisc (rotate both ways, starting at top)"},
{0,           0x60,       0x60,   1,         1,        {116},                   DUMMY,      0,   THREE_BYTE,  "Double Rotodisc (rotate clockwise)"},
{0,           0x61,       0x61,   1,         2,        {123,
                                                        139},                   DUMMY,      0,   THREE_BYTE,  "Bloober (with babies)"},
{0,           0x62,       0x62,   1,         1,        {124},                  DUMMY,      0,   THREE_BYTE,  "Bloober"},
{0,           0x63,       0x63,   2,         2,        {52, 53,
                                                        68, 69},                  DUMMY,      0,   THREE_BYTE,  "Big Bertha (underwater)"},
{0,           0x64,       0x64,   1,         1,        {72},                   DUMMY,      0,   THREE_BYTE,  "Surface Cheep-Cheep (jumps out of water)"},
{0,           0x65,       0x65,   1,         1,        {129},                  DUMMY,      0,   THREE_BYTE,  "Upward Current"},
{0,           0x66,       0x66,   1,         1,        {130},                   DUMMY,      0,   THREE_BYTE,  "Downward Current"},
{0,           0x67,       0x67,   2,         2,        {133, 134,
                                                        149, 150},                   DUMMY,      0,   THREE_BYTE,  "Lava Lotus"},
{0,           0x68,       0x68,   1,         1,        {131},                   DUMMY,      0,   THREE_BYTE,  "Upside-down Buzzy Beetle"},
{0,           0x69,       0x69,   1,         1,        {132},                   DUMMY,      0,   THREE_BYTE,  "Upside-down Spiny"},
{0,           0x6A,       0x6A,   1,         1,        {135},                  DUMMY,      0,   THREE_BYTE,  "Bloober Nanny"},
{0,           0x6B,       0x6B,   1,         1,        {136},                  DUMMY,      0,   THREE_BYTE,  "Pile Driver Micro-Goomba"},
{0,           0x6C,       0x6C,   1,         2,        {137,
                                                        153},                  DUMMY,      0,   THREE_BYTE,  "Green Koopa Troopa"},
{0,           0x6D,       0x6D,   1,         2,        {138,
                                                        154},                  DUMMY,      0,   THREE_BYTE,  "Red Koopa Troopa"},
{0,           0x6E,       0x6E,   1,         2,        {140,
                                                        156},                  DUMMY,      0,   THREE_BYTE,  "Green Koopa Paratroopa (bounces)"},
{0,           0x6F,       0x6F,   1,         2,        {143,
                                                        159},                  DUMMY,      0,   THREE_BYTE,  "Red Koopa Paratroopa"},
{0,           0x70,       0x70,   1,         1,        {157},                  DUMMY,      0,   THREE_BYTE,  "Buzzy Beetle"},
{0,           0x71,       0x71,   1,         1,        {158},                  DUMMY,      0,   THREE_BYTE,  "Spiny"},
{0,           0x72,       0x72,   1,         1,        {151},                  DUMMY,      0,   THREE_BYTE,  "Goomba"},
{0,           0x73,       0x73,   2,         2,        {160, 161,
                                                        176, 177},                  DUMMY,      0,   THREE_BYTE,  "Para-Goomba"},
{0,           0x74,       0x74,   2,         2,        {162, 163,
                                                        178, 179},                  DUMMY,      0,   THREE_BYTE,  "Para-Goomba with Micro-Goombas"},
{0,           0x75,       0x75,   1,         1,        {152},                  DUMMY,      0,   THREE_BYTE,  "Bowser's Fireballs"},
{0,           0x76,       0x76,   1,         1,        {72},                  DUMMY,      0,   THREE_BYTE,  "Falling Cheep-Cheep"},
{0,           0x77,       0x77,   1,         1,        {165},                  DUMMY,      0,   THREE_BYTE,  "Cheep-Cheep"},
{0,           0x78,       0x78,   1,         1,        {166},                  DUMMY,      0,   THREE_BYTE,  "Still Bullet Bill"},
{0,           0x79,       0x79,   1,         1,        {167},                  DUMMY,      0,   THREE_BYTE,  "Stray Missile Bill"},
{0,           0x7A,       0x7A,   2,         2,        {168, 169,
                                                        184, 185},                  DUMMY,      0,   THREE_BYTE,  "Giant Green Koopa Troopa"},
{0,           0x7B,       0x7B,   2,         2,        {170, 171,
                                                        186, 187},                  DUMMY,      0,   THREE_BYTE,  "Giant Red Koopa Troopa"},
{0,           0x7C,       0x7C,   2,         2,        {172, 173,
                                                        188, 189},                  DUMMY,      0,   THREE_BYTE,  "Giant Goomba"},
{0,           0x7D,       0x7D,   2,         2,        {174, 175,
                                                        190, 191},                  DUMMY,      0,   THREE_BYTE,  "Giant Green Piranha Plant"},
{0,           0x7E,       0x7E,   2,         2,        {180, 181,
                                                        196, 197},                  DUMMY,      0,   THREE_BYTE,  "Giant Green Koopa Paratroopa"},
{0,           0x7F,       0x7F,   2,         2,        {182, 183,
                                                        198, 199},                  DUMMY,      0,   THREE_BYTE,  "Giant Red Piranha Plant"},
{0,           0x80,       0x80,   1,         2,        {140,
                                                        156},                   DUMMY,      0,   THREE_BYTE,  "Green Koopa Paratroopa (doesn't bounce)"},
{0,           0x81,       0x81,   1,         2,        {193,
                                                        209},                   DUMMY,      0,   THREE_BYTE,  "Hammer Brother"},
{0,           0x82,       0x82,   1,         2,        {194,
                                                        210},                   DUMMY,      0,   THREE_BYTE,  "Boomerang Brother"},
{0,           0x83,       0x83,   1,         2,        {195,
                                                        211},                   DUMMY,      0,   THREE_BYTE,  "Lakitu"},
{0,           0x84,       0x84,   1,         1,        {200},                   DUMMY,      0,   THREE_BYTE,  "Red Spiny Egg"},
{0,           0x85,       0x85,   1,         1,        {201},                   DUMMY,      0,   THREE_BYTE,  "Green Spiny Egg"},
{0,           0x86,       0x86,   2,         2,        {202, 203,
                                                        218, 219},                   DUMMY,      0,   THREE_BYTE,  "Sledge Brother"},
{0,           0x87,       0x87,   1,         2,        {204,
                                                        220},                   DUMMY,      0,   THREE_BYTE,  "Fire Brother"},
{0,           0x88,       0x88,   1,         1,        {205},                   DUMMY,      0,   THREE_BYTE,  "Yellow Cheep-Cheep"},
{0,           0x89,       0x89,   2,         1,        {222, 206},                   DUMMY,      0,   THREE_BYTE,  "Chain Chomp"},
{0,           0x8A,       0x8A,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (normal)"},
{0,           0x8B,       0x8B,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (moves left)"},
{0,           0x8C,       0x8C,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (moves right)"},
{0,           0x8D,       0x8D,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (moves up)"},
{0,           0x8E,       0x8E,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (moves diagonally up and left)"},
{0,           0x8F,       0x8F,   2,         2,        {83, 84,
                                                        16, 17},                   DUMMY,      0,   THREE_BYTE,  "Thwomp (moves diagonally down and left)"},
{0,           0x90,       0x90,   4,         1,        {246, 245, 244, 245},       CENTER,     1,   THREE_BYTE,  "Spinning Platform (step-activated)"},
{0,           0x91,       0x91,   4,         1,        {246, 245, 247, 245},       CENTER,     1,   THREE_BYTE,  "Spinning Platform (constant)"},
{0,           0x92,       0x92,   4,         1,        {246, 245, 248, 245},       CENTER,     1,   THREE_BYTE,  "Spinning Platform (periodical, clockwise)"},
{0,           0x93,       0x93,   4,         1,        {246, 245, 249, 245},       CENTER,     1,   THREE_BYTE,  "Spinning Platform (periodical, counterclockwise)"},
{0,           0x94,       0x94,   2,         2,        {236, 237,
                                                        252, 253},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with 3 1-ups"},
{0,           0x95,       0x95,   2,         2,        {238, 239,
                                                        254, 255},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Mushroom"},
{0,           0x96,       0x96,   2,         2,        {234, 235,
                                                        250, 251},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Flower"},
{0,           0x97,       0x97,   2,         2,        {216, 217,
                                                        232, 233},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Leaf"},
{0,           0x98,       0x98,   2,         2,        {214, 215,
                                                        230, 231},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Tanooki Suit"},
{0,           0x99,       0x99,   2,         2,        {226, 227,
                                                        242, 243},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Frog Suit"},
{0,           0x9A,       0x9A,   2,         2,        {224, 225,
                                                        240, 241},                   DUMMY,      0,   THREE_BYTE,  "Giant '?' Block with Hammer Bros. Suit"},
{0,           0x9B,       0x9B,   1,         1,        {146},                   DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x9C,       0x9C,   1,         1,        {146},                   DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0x9D,       0x9D,   1,         3,        {28,
                                                        44,
                                                        60},                   DUMMY,      0,   THREE_BYTE,  "Upward Rocket Engine"},
{0,           0x9E,       0x9E,   1,         1,        {103},                  DUMMY,      0,   THREE_BYTE,  "Podoboo (comes out of lava)"},
{0,           0x9F,       0x9F,   1,         1,        {221},                  DUMMY,      0,   THREE_BYTE,  "Para-Beetle"},
{0,           0xA0,       0xA0,   1,         2,        {192,
                                                        208},                  DUMMY,      0,   THREE_BYTE,  "Green Piranha Plant (upward)"},
{0,           0xA1,       0xA1,   1,         2,        {59,
                                                        75},                   DUMMY,      0,   THREE_BYTE,  "Green Piranha Plant (downward)"},
{0,           0xA2,       0xA2,   1,         2,        {207,
                                                        223},                   DUMMY,      0,   THREE_BYTE,  "Red Piranha Plant (upward)"},
{0,           0xA3,       0xA3,   1,         2,        {58,
                                                        74},                   DUMMY,      0,   THREE_BYTE,  "Red Piranha Plant (downward)"},
{0,           0xA4,       0xA4,   1,         2,        {61,
                                                        77},                   DUMMY,      0,   THREE_BYTE,  "Green Venus Fire Trap (upward)"},
{0,           0xA5,       0xA5,   1,         2,        {15,
                                                        31},                   DUMMY,      0,   THREE_BYTE,  "Green Venus Fire Trap (downward)"},
{0,           0xA6,       0xA6,   1,         2,        {62,
                                                        78},                   DUMMY,      0,   THREE_BYTE,  "Red Venus Fire Trap (upward)"},
{0,           0xA7,       0xA7,   1,         2,        {63,
                                                        79},                   DUMMY,      0,   THREE_BYTE,  "Red Venus Fire Trap (downward)"},
{0,           0xA8,       0xA8,   2,         1,        {13, 14},                   DUMMY,      0,   THREE_BYTE,  "Auto-moving upward directional platform"},
{0,           0xA9,       0xA9,   2,         1,        {29, 30},                   DUMMY,      0,   THREE_BYTE,  "Auto-moving multi-directional platform"},
{0,           0xAA,       0xAA,   1,         2,        {71,
                                                        87},                   DUMMY,      0,   THREE_BYTE,  "Propeller"},
{0,           0xAB,       0xAB,   1,         1,        {146},                   DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0xAC,       0xAC,   3,         1,        {34, 35, 36},                   DUMMY,      0,   THREE_BYTE,  "Leftward Rocket Engine"},
{0,           0xAD,       0xAD,   1,         1,        {27},                   DUMMY,      0,   THREE_BYTE,  "Brown Rocky Wrench"},
{0,           0xAE,       0xAE,   2,         1,        {85, 86},                   DUMMY,      0,   THREE_BYTE,  "Nut (use with corkscrew)"},
{0,           0xAF,       0xAF,   2,         2,        {125, 126,
                                                        141, 142},             DUMMY,      0,   THREE_BYTE,  "The Angry Sun"},
{0,           0xB0,       0xB0,   2,         2,        {212, 213,
                                                        228, 229},                   DUMMY,      0,   THREE_BYTE,  "Still Big Bullet"},
{0,           0xB1,       0xB1,   3,         1,        {120, 121, 122},                   DUMMY,      0,   THREE_BYTE,  "Rightward Rocket Engine"},
{0,           0xB2,       0xB2,   1,         3,        {101,
                                                        117,
                                                        100},                   DUMMY,      0,   THREE_BYTE,  "Downward Rocket Engine"},
{0,           0xB3,       0xB3,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "Weird flashing enemy"},
{0,           0xB4,       0xB4,   1,         1,        {164},                  DUMMY,      0,   THREE_BYTE,  "Infinite flying Cheep-Cheeps"},
{0,           0xB5,       0xB5,   1,         1,        {26},                  DUMMY,      0,   THREE_BYTE,  "Infinite Spiny Cheep-Cheeps"},
{0,           0xB6,       0xB6,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Nothing?"},
{0,           0xB7,       0xB7,   1,         1,        {73},                   DUMMY,      0,   THREE_BYTE,  "Infinite Para-Beetles"},
{0,           0xB8,       0xB8,   2,         1,        {92, 93},                  DUMMY,      0,   THREE_BYTE,  "Moving Background Clouds"},
{0,           0xB9,       0xB9,   3,         1,        {55, 127, 57},                  DUMMY,      0,   THREE_BYTE,  "Infinite leftward-moving falling platforms"},
{0,           0xBA,       0xBA,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Exit on get treasure chest"},
{0,           0xBB,       0xBB,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Stops infinite flying or spiny Cheep-Cheeps"},
{0,           0xBC,       0xBC,   1,         1,        {166},                  DUMMY,      0,   THREE_BYTE,  "Bullet Bills"},
{0,           0xBD,       0xBD,   1,         1,        {167},                  DUMMY,      0,   THREE_BYTE,  "Missile Bills"},
{0,           0xBE,       0xBE,   1,         1,        {18},                   DUMMY,      0,   THREE_BYTE,  "Rocky Wrench"},
{0,           0xBF,       0xBF,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Cross-shaped bullet shots"},
{0,           0xC0,       0xC0,   1,         1,        {95},                   DUMMY,      0,   THREE_BYTE,  "Infinite Goombas (leftward)"},
{0,           0xC1,       0xC1,   1,         1,        {95},                   DUMMY,      0,   THREE_BYTE,  "Infinite Goombas (rightward)"},
{0,           0xC2,       0xC2,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (leftward)"},
{0,           0xC3,       0xC3,   2,         2,        {212, 213,
                                                        228, 229},             DUMMY,      0,   THREE_BYTE,  "Big Bullet Shots (leftward)"},
{0,           0xC4,       0xC4,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (up/left)"},
{0,           0xC5,       0xC5,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (up/right)"},
{0,           0xC6,       0xC6,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (down/left)"},
{0,           0xC7,       0xC7,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (down/right)"},
{0,           0xC8,       0xC8,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (up/left)"},
{0,           0xC9,       0xC9,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (up/right)"},
{0,           0xCA,       0xCA,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (down/left)"},
{0,           0xCB,       0xCB,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (down/right)"},
{0,           0xCC,       0xCC,   1,         1,        {119},                  DUMMY,      0,   THREE_BYTE,  "Bullet Shots (rightward)"},
{0,           0xCD,       0xCD,   2,         2,        {212, 213,
                                                        228, 229},             DUMMY,      0,   THREE_BYTE,  "Big Bullet Shots (rightward)"},
{0,           0xCE,       0xCE,   1,         1,        {22},                   DUMMY,      0,   THREE_BYTE,  "Infinite Bob-Ombs (leftward) use with bullet shooters"},
{0,           0xCF,       0xCF,   1,         1,        {22},                   DUMMY,      0,   THREE_BYTE,  "Infinite Bob-Ombs (rightward) use with bullet shooters"},
{0,           0xD0,       0xD0,   1,         1,        {76},                   DUMMY,      0,   THREE_BYTE,  "Lasers (use with Bowser statues)"},
{0,           0xD1,       0xD1,   3,         2,        {140, 140, 140,
                                                        156, 156, 156},        DUMMY,      0,   THREE_BYTE,  "3 Green Koopa Paratroopas"},
{0,           0xD2,       0xD2,   1,         3,        {205,
                                                        205,
                                                        205},                  DUMMY,      0,   THREE_BYTE,  "3 Yellow Cheep-Cheeps"},
{0,           0xD3,       0xD3,   1,         1,        {147},                  DUMMY,      0,   THREE_BYTE,  "Autoscrolling Object 1"},
{0,           0xD4,       0xD4,   1,         1,        {147},                  DUMMY,      0,   THREE_BYTE,  "Autoscrolling Object 2"},
{0,           0xD5,       0xD5,   1,         1,        {148},                  DUMMY,      0,   THREE_BYTE,  "The king has been transformed..."},
{0,           0xD6,       0xD6,   1,         1,        {146},                  DUMMY,      0,   THREE_BYTE,  "Puts item in treasure chest (may crash game)"},
{0,           0xD7,       0xD7,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xD8,       0xD8,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xD9,       0xD9,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDA,       0xDA,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDB,       0xDB,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDC,       0xDC,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDD,       0xDD,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDE,       0xDE,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xDF,       0xDF,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE0,       0xE0,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE1,       0xE1,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE2,       0xE2,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE3,       0xE3,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE4,       0xE4,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE5,       0xE5,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE6,       0xE6,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE7,       0xE7,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE8,       0xE8,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xE9,       0xE9,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xEA,       0xEA,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xEB,       0xEB,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"},
{0,           0xEC,       0xFF,   1,         1,        {145},                  DUMMY,      0,   THREE_BYTE,  "WARNING: Crashes Game"}
}
//**************************************************************************//
//                         FINALLY, THE END!!!                              //
//**************************************************************************//
};


const char object_ranges[10][8][16] = {     //Used to tell the *new* level loading function whether a certain object is 3 or 4 bytes
//Object Set 1

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 2

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 4, 4, 4,   4, 4, 4, 4,   4, 4, 4, 4,   4, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 3

 {{3, 4, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 4, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 4

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 4, 4},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 4, 4,   4, 3, 3, 3,   3, 3, 3, 3,   3, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 5

 {{3, 3, 4, 4,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   4, 3, 3, 4,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 6

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 4, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 4, 4, 3,   4, 3, 3, 4,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 7

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 4,   4, 4, 4, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 8

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 4, 3, 3,   3, 3, 3, 3,   3, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 9

 {{3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 4, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 4, 4, 3,   4, 3, 3, 4,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}},

//Object Set 10

 {{3, 4, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 4, 4,   4, 4, 4, 4,   4, 4, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 4, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3},
  {3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3,   3, 3, 3, 3}}

};


#endif
